#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di  sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_InsProLau_Microdati_2015_ESEMPIO_STRUTTURA_FILE.txt", sep="")
DF_InsProLau_A2015<- read.delim2 (fileInput,  header=T, sep="^",  quote="",  na.strings = ".")
attr(DF_InsProLau_A2015, "label") <- c(
"Progressivo nell'ambito del censimento dei laureati",
"Codice ateneo",
"Tipo di laurea",
"Tipo di percorso di studi",
"Gruppo di laurea",
"Classe di laurea",
"Sesso",
"Cittadinanza",
"Tipo di diploma",
"Luogo conseguimento del diploma",
"Voto di diploma conseguito all'estero o in Italia",
"Voto di diploma (se conseguito in Italia)",
"Classe di et al momento del conseguimento laurea",
"Provincia di residenza prima dell'iscrizione all'universit",
"Regione di residenza prima dell'iscrizione all'universit",
"Ripartizione di residenza prima dell'iscrizione all'universit",
"Titolo di studio che ha consentito l'accesso alla laurea specialistica biennale",
"Sede ateneo in cui ha conseguito la laurea specialistica biennale (se conseguita in Italia)",
"Area disciplinare della laurea che ha consentito iscrizione alla laurea specialistica",
"Conseguimento di altri titoli di studio prima del 2011",
"Giudizio sui fattori che hanno influito sulla scelta dell'Ateneo: prestigio dell'ateneo",
"Giudizio sui fattori che hanno influito sulla scelta dell'Ateneo: qualit di servizi e strutture",
"Giudizio sui fattori che hanno influito sulla scelta dell'Ateneo: offerta formativa consona alle esigenze",
"Giudizio sui fattori che hanno influito sulla scelta dell'Ateneo: vicinanza sede univesritaria",
"Giudizio sui fattori che hanno influito sulla scelta dell'Ateneo: esperienze in contesto territoriale diverso",
"Giudizio sui fattori che hanno influito sulla scelta dell'Ateneo: impossibilit legata ai costi di fare scelte diverse",
"Riconoscimento dei crediti al momento dell'immatricolazione",
"Frequenza della lezioni durante il corso di laurea",
"Frequenza di corsi privati di preparazione agli esami durante il corso di laurea",
"Partecipazione a programmi volti a promuovere la mobilit studentesca in ambito europeo o extraeuropeo",
"Stato estero in cui si  recato per svolgere i programmi",
"Tipo di lavoro retribuito svolto durante il corso di laurea",
"Iscritto in corso o fuori corso quando si  laureato",
"Voto di laurea conseguito",
"Motivo principale per cui ha scelto quel corso di laurea",
"Si iscriverebbe allo stesso corso di laurea se dovesse scegliere oggi",
"Motivo principale per cui non si iscriverebbe allo stesso corso di laurea",
"Si iscriverebbe comunque di nuovo alluniversit",
"Motivo principale per cui non si iscriverebbe di nuovo alluniversit",
"Superamento dopo la laurea di un esame di stato per labilitazione allesercizio di unattivit professionale",
"Iscrizione ad un altro corso dopo la laurea: master di primo livello",
"Iscrizione ad un altro corso dopo la laurea: master universitario di secondo livello",
"Iscrizione ad un altro corso dopo la laurea: laurea specialistica biennale",
"Iscrizione ad un altro corso dopo la laurea: un corso di laurea  a ciclo unico di 5-6 anni",
"Iscrizione ad un altro corso dopo la laurea: corso di laurea triennale",
"Motivo principale dell'iscrizione ad una nuova laurea specialistica",
"Attivit formative dopo la laurea: dottorato di ricerca",
"Attivit formative dopo la laurea: specializzazione post-laurea",
"Attivit formative dopo la laurea: master extrauniversitario",
"Attivit formative dopo la laurea: borsa di studio/lavoro",
"Attivit formative dopo la laurea: stage",
"Attivit formative dopo la laurea: tirocinio o il praticantato",
"Attivit formative dopo la laurea: corso di formazione professionale o di aggiornamento",
"Attivit formative dopo la laurea: altro corso di studio o formazione",
"L'attivit che sta attualmente frequentando  retribuita",
"Il dottorato di ricerca  retribuito",
"La specializzazione post-laurea  retribuita",
"Il master extrauniversitario  retribuito",
"La borsa di studio/lavoro  retribuita",
"Lo stage  retribuito",
"Il tirocinio o il praticantato  retribuito",
"Il corso di formazione professionale o di aggiornamento  retribuito",
"L'attivit di studio o formazione  retribuita",
"Attivit alle quali dedica mediamente pi ore",
"Situazione lavorativa",
"Motivo principale per cui non lavora",
"Svolgimento di pi di un'attivit lavorativa",
"Qual  l'attivit principale tra lavoro e attivit formativa",
"Tipo di lavoro",
"Posizione lavoro autonomo",
"Posizione lavoro dipendente",
"Ha dipendenti",
"Lavora per una Pubblica Amministrazione o privato",
"Settore economico",
"Dettaglio settore economico (Ateco industria)",
"Dettaglio settore economico (Ateco servizi)",
"Codifica della professione a 2 digit",
"Area tematica attivit di formazione",
"Contratto di lavoro a tempo indeterminato o a termine",
"iniziato lavoro con un contratto a termine o senza scadenza",
"Tipo di contratto con il quale lavora",
"lavoro a termine per scelta o perch non ha trovato lavoro a tempo indeterminato",
"Possibilit che questo lavoro si trasformi a tempo indeterminato",
"Lavora a tempo pieno o part-time",
"Motivo lavoro part-time",
"Numero di ore a settimana che dedica all'attivit lavorativa",
"Codice Provincia o Stato Estero in cui svolge l'attivit lavorativa",
"Codice Regione in cui svolge l'attivit lavorativa",
"Codice Ripartizione in cui svolge l'attivit lavorativa",
"Inizio attivit principale prima o dopo il conseguimento della laurea nel 2011",
"Inizio attivit principale prima o dopo il conseguimento della laurea specialistica",
"Inizio attivit principale prima o dopo il conseguimento del titolo che le ha dato accesso al corso di laurea specialistica",
"Canale di accesso alla sua attuale attivit lavorativa",
"Persona in particolare che lha aiutata ad iniziare la sua attivit lavorativa",
"Di chi si tratta",
"Modo in cui  stato aiutato",
"Miglioramento della sua posizione lavorativa con il conseguimento della laurea",
"Miglioramento del suo reddito da lavoro con il conseguimento della laurea",
"Laurea richiesta per accedere al lavoro",
"Laurea  richiesta di unarea disciplinare specifica",
"Richiesta una votazione minima",
"Soddisfazione: mansioni svolte",
"Soddisfazione: prospettive di stabilit e di sicurezza del lavoro",
"Soddisfazione: grado di autonomia/livello di responsabilit",
"Soddisfazione: utilizzo delle conoscenze acquisite alluniversit",
"Soddisfazione: trattamento economico",
"Soddisfazione: possibilit di carriera",
"Soddisfazione: possibilit di arricchimento professionale",
"Livello di soddisfazione complessivo (punteggio 0-10)",
"Numero di ore a settimana che dedica alle altre attivit lavorative/attivit formative",
"Lavorava quando ha discusso la tesi di laurea nel 2011",
"Opportunit di lavoro dal conseguimento della laurea ad oggi",
"Almeno un'opportunit di lavoro accettata",
"Motivo principale per cui non ha accettato",
"Tipo di lavoro con riferimento alla prima opportunit accettata",
"Motivo principale per cui il lavoro  terminato",
"Lavoro a un anno dal conseguimento della laurea",
"Ricerca di lavoro a un anno dal conseguimento della laurea",
"Tipo di attivit che svolgeva",
"Luogo in cui svolgeva prevalentemente l'attivit",
"Attualmente cerca lavoro",
"Motivo principale per cui non cerca lavoro",
"Motivo principale per cui cerca un nuovo lavoro",
"Modo in cui cerca lavoro: colloqui di lavoro o selezioni presso privati",
"Modo in cui cerca lavoro: prove per concorsi pubblici",
"Modo in cui cerca lavoro: invio curriculum a privati o domande per partecipare a concorsi pubblici",
"Modo in cui cerca lavoro: utilizzo i giornali per mettere inserzioni o rispondere ad annunci",
"Modo in cui cerca lavoro: utilizzo Internet per trovare offerte/annunci di lavoro",
"Modo in cui cerca lavoro: attraverso i Centri pubblici per limpiego o le Agenzie interinali",
"Modo in cui cerca lavoro: parenti, amici, conoscenti, sindacati, ecc.",
"Modo in cui cerca lavoro: ricerca di informazioni o risorse per avviare un'attivit",
"Modo in cui cerca lavoro: altra azione",
"Ultima azione concreta per cercare lavoro",
"Preferenza a lavorare a tempo pieno o part-time",
"Preferenza a lavorare come dipendente o autonomo",
"Luogo in cui sarebbe disposto a lavorare",
"Disponibilit a cambiare citt per lavorare",
"Cifra mensile netta minima disposto ad accettare per un lavoro nuovo",
"Disponibilit a iniziare il lavoro entro le prossime due settimane",
"Attualmente vive: codice provincia o estero",
"Regione di attuale domicilio",
"Ripartizione di attuale domicilio",
"Trasferimento nel comune della sede universitaria per seguire gli studi",
"Tempo impiegato dal luogo in cui abitava alla sede universitaria",
"Giudizio su aspetti legati al trasferimento: lavoro pi qualificato",
"Giudizio su aspetti legati al trasferimento: lavoro maggiormente retribuito",
"Giudizio su aspetti legati al trasferimento: maggiori occasioni di studio e formazione scientifica",
"Giudizio su aspetti legati al trasferimento: paese all'avanguardia nel settore di interesse",
"Giudizio su aspetti legati al trasferimento: motivi familiari e/o personali",
"Pensa di lasciare l'Italia nei prossimi 12 mesi",
"Quanto a lungo pensa di rimanere in Italia",
"Stato estero in cui pensa di andare",
"Motivo per cui lascerebbe l'Italia: occasioni di studio e formazione scientifica",
"Motivo per cui lascerebbe l'Italia: precedenti esperienze di studio o lavoro",
"Motivo per cui lascerebbe l'Italia: pi opportunit di lavoro",
"Motivo per cui lascerebbe l'Italia: opportunit di lavoro maggiormente qualificato",
"Motivo per cui lascerebbe l'Italia: opportunit di lavoro maggiormente retribuito",
"Motivo per cui lascerebbe l'Italia: paese all'avanguardia nel settore di interesse",
"Motivo per cui lascerebbe l'Italia: accordi bilaterali tra Italia e Paese di destinazione",
"Motivo per cui lascerebbe l'Italia: motivi familiari e/o personali",
"Stato civile",
"Attualmente vive con famiglia di origine",
"Motivo principale per cui vive con la famiglia",
"Padre: titolo di studio",
"Padre: condizione occupazionale",
"Padre: lavoro dipendente o autonomo",
"Padre: posizione lavoro autonomo",
"Padre: posizione lavoro dipendente",
"Madre: titolo di studio",
"Madre: condizione occupazionale",
"Madre: lavoro dipendente o autonomo",
"Madre: posizione lavoro dipendente",
"Madre: posizione lavoro autonomo",
"peso calibrato",
"reddito mensile del lavoro principale",
"reddito mensile totale",
"durata studi universitari",
"anni intercorrenti dalla seconda laurea al lavoro attuale/attivita formativa",
"mesi intercorrenti dalla laurea all'attuale lavoro",
"mesi intercorrenti dalla laurea al primo lavoro/opportunit",
"mesi intercorrenti dalla prima opportunit di lavoro al lavoro attuale",
"durata in mesi del lavoro attuale")

COD_UNI_MFR_Fact <- factor(DF_InsProLau_A2015$COD_UNI_MFR, 
levels=c("00101", 
"00102", 
"00201", 
"00701", 
"01001", 
"01201", 
"01202", 
"01301", 
"01501", 
"01502", 
"01503", 
"01504", 
"01505", 
"01508", 
"01509", 
"01601", 
"01701", 
"01801", 
"01802", 
"02101", 
"02201", 
"02301", 
"02701", 
"02702", 
"02801", 
"03001", 
"03201", 
"03202", 
"03401", 
"03601", 
"03701", 
"03801", 
"04101", 
"04201", 
"04301", 
"04302", 
"04601", 
"04801", 
"04803", 
"05001", 
"05002", 
"05003", 
"05201", 
"05202", 
"05401", 
"05403", 
"05601", 
"05801", 
"05802", 
"05803", 
"05805", 
"05806", 
"05807", 
"05808", 
"05809", 
"05810", 
"05814", 
"05816", 
"06001", 
"06201", 
"06202", 
"06301", 
"06302", 
"06303", 
"06304", 
"06306", 
"06307", 
"06501", 
"06601", 
"06701", 
"06901", 
"07001", 
"07101", 
"07201", 
"07202", 
"07501", 
"07601", 
"07801", 
"07901", 
"08001", 
"08201", 
"08301", 
"08601", 
"08701", 
"09001", 
"09201", 
"99999"), 
labels=c("Torino - Universit degli studi", 
"Torino - Politecnico", 
"Vercelli - Universit degli studi del Piemonte orientale A. Avogadro", 
"Aosta - Universit degli studi", 
"Genova - Universit degli studi", 
"Castellanza - Universit Carlo Cattaneo (LIUC)", 
"Varese - Universit dell'Insubria", 
"Novedrate (CO) - Universit telematica e-Campus", 
"Milano - Universit degli studi", 
"Milano - Politecnico", 
"Milano - Universit commerciale Luigi Bocconi", 
"Milano - Universit Cattolica del Sacro Cuore", 
"Milano - Libera Universit di Lingue e Comunicazione (IULM)", 
"Milano - Universit Vita-Salute San Raffaele", 
"Milano-Bicocca - Universit degli studi", 
"Bergamo - Universit degli studi", 
"Brescia - Universit degli studi", 
"Pavia - Universit degli studi", 
"Pavia - Istituto Universitario di Studi Superiori", 
"Bolzano - Libera Universit", 
"Trento - Universit degli studi", 
"Verona - Universit degli studi", 
"Venezia - Universit degli studi C Foscari", 
"Venezia - Istituto Universitario di Architettura Iuav", 
"Padova - Universit degli studi", 
"Udine - Universit degli studi", 
"Trieste - Universit degli studi", 
"Trieste - Scuola Internazionale Superiore di Studi Avanzati", 
"Parma - Universit degli studi", 
"Reggio Emilia - Sede dell'Universit di Modena e Reggio Emilia", 
"Bologna - Universit degli studi", 
"Ferrara - Universit degli studi", 
"Urbino - Universit degli studi", 
"Ancona - Universit Politecnica delle Marche", 
"Macerata - Universit degli studi", 
"Camerino - Universit degli studi", 
"Lucca - Scuola IMT Alti Studi", 
"Firenze - Universit degli studi", 
"Firenze - Istituto Italiano di Scienze Umane", 
"Pisa - Universit degli studi", 
"Pisa - Scuola Normale Superiore", 
"Pisa - Scuola Superiore di Studi Universitari e Perfezionamento S. Anna", 
"Siena - Universit degli studi", 
"Siena - Universit per stranieri", 
"Perugia - Universit degli studi", 
"Perugia - Universit per stranieri", 
"Viterbo - Universit della Tuscia", 
"Roma - Universit degli studi La Sapienza", 
"Roma - Universit degli studi di Tor Vergata", 
"Roma - Libera Universit Maria SS.Assunta (LUMSA)", 
"Roma - Libera Universit internazionale degli studi sociali Guido Carli (LUISS)", 
"Roma - Universit degli studi del Foro Italico", 
"Roma - Universit degli studi Roma Tre", 
"Roma - Universit Campus Bio-Medico", 
"Roma - Libera Universit degli Studi Per l'Innovazione e le Organizzazioni (ex Libera Universit San Pio V di Roma)", 
"Roma - Universit telematica Guglielmo Marconi", 
"Roma - Universit telematica Niccol Cusano", 
"Roma - Universit telematica Unitelma Sapienza", 
"Cassino - Universit degli studi", 
"Benevento - Universit degli studi del Sannio", 
"Benevento - Universita telematica Giustino Fortunato", 
"Napoli - Universit degli studi Federico II", 
"Napoli - Universit degli studi Parthenope", 
"Napoli - Universit degli studi L' Orientale", 
"Napoli - Istituto Universitario Suor Orsola Benincasa", 
"Napoli - Seconda Universit degli studi", 
"Napoli - Universita telematica Pegaso", 
"Salerno - Universit degli studi", 
"LAquila - Universit degli studi", 
"Teramo - Universit degli studi", 
"Chieti - Universit degli studi Gabriele DAnnunzio", 
"Campobasso - Universit degli studi del Molise", 
"Foggia - Universit degli studi", 
"Bari - Universit degli studi", 
"Bari - Politecnico", 
"Lecce - Universit del Salento", 
"Potenza - Universit degli studi della Basilicata", 
"Arcavacata di Rende - Universit degli studi della Calabria", 
"Catanzaro - Universit degli studi Magna Grecia", 
"Reggio Calabria - Universit degli studi Mediterranea", 
"Palermo - Universit degli studi", 
"Messina - Universit degli studi", 
"Enna - Universit degli studi KORE", 
"Catania - Universit degli studi", 
"Sassari - Universit degli studi", 
"Cagliari - Universit degli studi", 
"Altro ateneo")) 


tiplau_Fact <- factor(DF_InsProLau_A2015$tiplau, 
levels=c(1, 
2, 
3), 
labels=c("A ciclo unico/vecchio ordinamento", 
"Specialistica", 
"Triennale")) 


subpop_Fact <- factor(DF_InsProLau_A2015$subpop, 
levels=c(0, 
1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9), 
labels=c("Triennali che prima del 2011 hanno conseguito una laurea specialistica o ciclo unico", 
"Triennali che prima del 2011 non hanno conseguito nessuna laurea specialistica o ciclo unico e dopo il 2011 non si sono iscritti o non hanno conseguito alcuna laurea lunga", 
"Triennali che prima del 2011 non hanno conseguito nessuna laurea specialistica o ciclo unico e dopo il 2011 hanno conseguito una laurea lunga", 
"Triennali che prima del 2011 non hanno conseguito nessuna laurea specialistica o ciclo unico e dopo il 2011 si sono iscritti ma non hanno conseguito una laurea lunga", 
"Triennali che prima del 2011 non hanno conseguito nessuna laurea specialistica o ciclo unico e dopo il 2011 hanno interrotto una laurea lunga", 
"Lunghi che prima del 2011 non hanno conseguito nessuna laurea specialistica o ciclo unico e dopo il 2011 non si sono iscritti o non hanno conseguito dottorato o specializzazione", 
"Lunghi che prima del 2011 non hanno conseguito nessuna laurea specialistica o ciclo unico e dopo il 2011 hanno conseguito un dottorato o una specializzazione", 
"Lunghi che prima del 2011 non hanno conseguito nessuna laurea specialistica o ciclo unico e dopo il 2011 si iscrivono a un dottorato o una specializzazione", 
"Lunghi che prima del 2011 non hanno conseguito nessuna laurea specialistica o ciclo unico e dopo il 2011  hanno interrotto un dottorato o una specializzazione", 
"Lunghi che prima del 2011 hanno conseguito una laurea specialistica o ciclo unico")) 


gruppo_Fact <- factor(DF_InsProLau_A2015$gruppo, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12, 
13, 
14, 
15, 
16), 
labels=c("Scientifico", 
"Chimico-farmaceutico", 
"Geo-biologico", 
"Medico", 
"Ingegneria", 
"Architettura", 
"Agrario", 
"Economico-statistico", 
"Politico-sociale", 
"Giuridico", 
"Letterario", 
"Linguistico", 
"Insegnamento", 
"Psicologico", 
"Educazione fisica", 
"Difesa e sicurezza")) 


CLASSELAU_MFR_Fact <- factor(DF_InsProLau_A2015$CLASSELAU_MFR, 
levels=c("L01", 
"L02", 
"L03", 
"L04", 
"L05", 
"L06", 
"L07", 
"L08", 
"L09", 
"L10", 
"L11", 
"L12", 
"L13", 
"L14", 
"L15", 
"L16", 
"L17", 
"L18", 
"L19", 
"L20", 
"L21", 
"L22", 
"L23", 
"L24", 
"L25", 
"L26", 
"L27", 
"L28", 
"L29", 
"L30", 
"L31", 
"L32", 
"L33", 
"L34", 
"L35", 
"L36", 
"L37", 
"L38", 
"L39", 
"L40", 
"L41", 
"L42", 
"S01", 
"S02", 
"S03", 
"S04", 
"S05", 
"S06", 
"S07", 
"S08", 
"S09", 
"S10", 
"S11", 
"S12", 
"S13", 
"S14", 
"S15", 
"S16", 
"S17", 
"S18", 
"S19", 
"S20", 
"S21", 
"S22", 
"S23", 
"S24", 
"S25", 
"S26", 
"S27", 
"S28", 
"S29", 
"S30", 
"S31", 
"S32", 
"S33", 
"S34", 
"S36", 
"S37", 
"S38", 
"S39", 
"S40", 
"S41", 
"S42", 
"S43", 
"S44", 
"S45", 
"S46", 
"S47", 
"S48", 
"S49", 
"S50", 
"S51", 
"S52", 
"S53", 
"S54", 
"S55", 
"S56", 
"U01", 
"U02", 
"U03", 
"U05", 
"U07", 
"U08", 
"U09", 
"U10", 
"U11", 
"U13", 
"U15", 
"U16", 
"U20", 
"U21", 
"U23", 
"U24", 
"U25", 
"U26", 
"U27", 
"U29", 
"U30", 
"U32", 
"U34", 
"U39", 
"U43", 
"U44", 
"U45", 
"U47", 
"U48", 
"U50", 
"U51", 
"U52", 
"U54", 
"U55", 
"U57", 
"U61", 
"U62", 
"U63", 
"U64", 
"U65", 
"U66", 
"U67", 
"U68", 
"LDS1", 
"LSNT1", 
"LSNT2", 
"LSNT3", 
"LSNT4"), 
labels=c("Biotecnologie", 
"Scienze dei servizi giuridici", 
"Scienze della mediazione linguistica", 
"Scienze dell'architettura e dell'ingegneria edile", 
"Lettere", 
"Scienze del servizio sociale", 
"Urbanistica e scienze della pianificazione territoriale e ambientale", 
"Ingegneria civile e ambientale", 
"Ingegneria dell'informazione", 
"Ingegneria industriale", 
"Lingue e culture moderne", 
"Scienze biologiche", 
"Scienze dei beni culturali", 
"Scienze della comunicazione", 
"Scienze politiche e delle relazioni internazionali", 
"Scienze della Terra", 
"Scienze dell'economia e della gestione aziendale", 
"Scienze dell'educazione e della formazione", 
"Scienze dell'amministrazione", 
"Scienze e tecnologie agrarie, agroalimentari e forestali", 
"Scienze e tecnologie chimiche", 
"Scienze e tecnologie della navigazione marittima e aerea", 
"Scienze e tecnologie delle arti figurative, della musica, dello spettacolo e della moda", 
"Scienze e tecnologie farmaceutiche", 
"Scienze e tecnologie fisiche", 
"Scienze e tecnologie informatiche", 
"Scienze e tecnologie per l'ambiente e la natura", 
"Scienze economiche", 
"Filosofia", 
"Scienze geografiche", 
"Scienze giuridiche", 
"Scienze matematiche", 
"Scienze delle attivit motorie e sportive", 
"Scienze e tecniche psicologiche", 
"Scienze sociali per la cooperazione, lo sviluppo e la pace", 
"Scienze sociologiche", 
"Scienze statistiche", 
"Scienze storiche", 
"Scienze del turismo", 
"Scienze e tecnologie zootecniche e delle produzioni animali", 
"Tecnologie per la conservazione e il restauro dei beni culturali", 
"Disegno industriale", 
"Fisica- Scienze dell'universo", 
"Informatica- Informatica per le discipline umanistiche", 
"Matematica", 
"Altre classi delle lauree specialistiche del gruppo scientifico", 
"Scienze chimiche- Scienze e tecnologie della chimica industriale", 
"Biologia", 
"Biotecnologie mediche, veterinarie e farmaceutiche", 
"Biotecnologie industriali- Biotecnologie agrarie", 
"Altre classi delle lauree specialistiche del gruppo geo-biologico", 
"Classe delle lauree specialistiche nelle scienze infermieristiche e ostetriche", 
"Classe delle lauree specialistiche nelle scienze delle professioni sanitarie della riabilitazione", 
"Altre classi delle lauree specialistiche del gruppo medico", 
"Ingegneria gestionale", 
"Ingegneria informatica", 
"Ingegneria meccanica", 
"Ingegneria elettronica- Ingegneria elettrica", 
"Ingegneria delle telecomunicazioni", 
"Ingegneria civile", 
"Ingegneria per l'ambiente e il territorio", 
"Ingegneria biomedica", 
"Ingegneria aerospaziale e astronautica", 
"Altre classi delle lauree specialistiche del gruppo ingegneria", 
"Architettura e ingegneria edile", 
"Altre classi delle lauree specialistiche del gruppo architettura", 
"Scienze e tecnologie agrarie- Scienze e tecnologie agroalimentari", 
"Scienze e gestione delle risorse rurali e forestali- Scienze e tecnologie agrozootecniche", 
"Scienze economico-aziendali", 
"Scienze dell'economia", 
"Statistica per la ricerca sperimentale- Statistica economica, finanziaria ed attuariale- Statistica demografica e sociale- Metodi per l'analisi valutativa dei sistemi complessi", 
"Altre classi delle lauree specialistiche del gruppo economico-statistico", 
"Relazioni internazionali", 
"Programmazione e gestione delle politiche e dei servizi sociali", 
"Editoria, comunicazione multimediale e giornalismo", 
"Scienze della comunicazione sociale e istituzionale- Pubblicit e comunicazione d'impresa", 
"Scienze delle pubbliche amministrazioni", 
"Scienze della politica", 
"Sociologia", 
"Teoria della comunicazione- Tecniche e metodi per la societ dell'informazione", 
"Altre classi delle lauree specialistiche del gruppo politico-sociale", 
"Giurisprudenza- Teoria e tecniche della normazione e dell'informazione giuridica", 
"Lingua e cultura italiana- Filologia moderna- Filologia e letterature dell'antichit", 
"Scienze dello spettacolo e della produzione multimediale", 
"Storia dell'arte", 
"Storia della filosofia- Filosofia teoretica, morale, politica ed estetica- Filosofia e storia della scienza", 
"Storia moderna- Storia medievale- Storia contemporanea- Storia antica", 
"Altre classi delle lauree specialistiche del gruppo letterario", 
"Lingue straniere per la comunicazione internazionale", 
"Lingue e letterature moderne euroamericane", 
"Altre classi delle lauree specialistiche del gruppo linguistico", 
"Scienze pedagogiche", 
"Scienze dell'educazione degli adulti e della formazione continua- Programmazione e gestione dei servizi educativi e formativi", 
"Psicologia- Scienze cognitive", 
"Scienze e tecnica dello sport- Scienze e tecniche delle attivit motorie preventive e adattative- Organizzazione e gestione dei servizi per lo sport e le attivit motorie", 
"Scienze della difesa e della sicurezza", 
"Scienze della natura", 
"Matematica", 
"Fisica", 
"Scienze dell informazione", 
"Chimica industriale", 
"Farmacia", 
"Chimica e tecnologia farmaceutiche", 
"Scienze geologiche", 
"Scienze naturali", 
"Scienze biologiche", 
"Medicina e chirurgia", 
"Ingegneria meccanica", 
"Ingegneria elettrotecnica", 
"Ingegneria edile", 
"Ingegneria informatica", 
"Ingegneria gestionale", 
"Ingegneria per ambiente e il territorio", 
"Ingegneria nucleare", 
"Architettura", 
"Storia e conservazione dei beni architettonici e ambientali", 
"Scienze forestali ed ambientali", 
"Medicina veterinaria", 
"Scienze e tecnologie delle produzioni animali", 
"Economia e commercio", 
"Economia aziendale", 
"Statistica e informatica per azienda", 
"Scienze politiche", 
"Sociologia", 
"Scienze della comunicazione", 
"Giurisprudenza", 
"Materie letterarie", 
"Filosofia", 
"Musicologia", 
"Storia e conservazione dei beni culturali", 
"Studi comparatistici", 
"Lingue e letterature straniere", 
"Scienze dell educazione", 
"Psicologia", 
"Scienze ambientali", 
"Odontoiatria e protesi dentaria", 
"Servizio sociale", 
"Scienze strategiche", 
"Traduzione ed interpretazione", 
"Scienze motorie", 
"Scienze della difesa e della sicurezza", 
"Professioni sanitarie, infermieristiiche e professione sanitaria ostetrica", 
"Professioni sanitarie della riabilitazione", 
"Professioni sanitarie tecniche", 
"Professioni sanitarie della prevenzione")) 


sesso_Fact <- factor(DF_InsProLau_A2015$sesso, 
levels=c(1, 
2), 
labels=c("Uomo", 
"Donna")) 


CITT_MFR_Fact <- factor(DF_InsProLau_A2015$CITT_MFR, 
levels=c(0, 
1), 
labels=c("Estera / apolide", 
"Italiana")) 


L1_1_Fact <- factor(DF_InsProLau_A2015$L1_1, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8), 
labels=c("Liceo classico", 
"Liceo scientifico", 
"Liceo linguistico", 
"Liceo socio-psico-pedagogico (ex Istruzione magistrale)", 
"Liceo artistico e istituto d'arte", 
"Istituto tecnico (geometra, industriale, commerciale, nautico, per il turismo, agrario ecc.)", 
"Istituto professionale (industriale, commerciale, agrario, femminile ecc.)", 
"Scuola straniera non classificabile nelle precedenti modalit")) 


L1_2_Fact <- factor(DF_InsProLau_A2015$L1_2, 
levels=c(1, 
2), 
labels=c("In Italia", 
"All'estero")) 


voto_diploma_all_Fact <- factor(DF_InsProLau_A2015$voto_diploma_all, 
levels=c(1, 
2, 
3), 
labels=c("Sufficiente [60-75]", 
"Buono [76-95]", 
"Ottimo [96-101]")) 


ETA_LAUREA_MFR_Fact <- factor(DF_InsProLau_A2015$ETA_LAUREA_MFR, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Et alla laurea minore o uguale a 22 anni", 
"Et alla laurea tra 23 e 24 anni", 
"Et alla laurea tra 25 e 29 anni", 
"Et alla laurea maggiore o uguale a 30 anni")) 


PROV_O_EST_PRIMA_MFR_Fact <- factor(DF_InsProLau_A2015$PROV_O_EST_PRIMA_MFR, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"007", 
"008", 
"009", 
"010", 
"011", 
"012", 
"013", 
"014", 
"015", 
"016", 
"017", 
"018", 
"019", 
"020", 
"021", 
"022", 
"023", 
"024", 
"025", 
"026", 
"027", 
"028", 
"029", 
"030", 
"031", 
"032", 
"033", 
"034", 
"035", 
"036", 
"037", 
"038", 
"039", 
"040", 
"041", 
"042", 
"043", 
"044", 
"045", 
"046", 
"047", 
"048", 
"049", 
"050", 
"051", 
"052", 
"053", 
"054", 
"055", 
"056", 
"057", 
"058", 
"059", 
"060", 
"061", 
"062", 
"063", 
"064", 
"065", 
"066", 
"067", 
"068", 
"069", 
"070", 
"071", 
"072", 
"073", 
"074", 
"075", 
"076", 
"077", 
"078", 
"079", 
"080", 
"081", 
"082", 
"083", 
"084", 
"085", 
"086", 
"087", 
"088", 
"089", 
"090", 
"091", 
"092", 
"093", 
"094", 
"095", 
"096", 
"097", 
"098", 
"099", 
"100", 
"101", 
"102", 
"103", 
"104", 
"105", 
"106", 
"107", 
"108", 
"109", 
"110", 
"999"), 
labels=c("Torino", 
"Vercelli", 
"Novara", 
"Cuneo", 
"Asti", 
"Alessandria", 
"Valle d'Aosta/Valle d'Aoste", 
"Imperia", 
"Savona", 
"Genova", 
"La Spezia", 
"Varese", 
"Como", 
"Sondrio", 
"Milano", 
"Bergamo", 
"Brescia", 
"Pavia", 
"Cremona", 
"Mantova", 
"Bolzano/Bozen", 
"Trento", 
"Verona", 
"Vicenza", 
"Belluno", 
"Treviso", 
"Venezia", 
"Padova", 
"Rovigo", 
"Udine", 
"Gorizia", 
"Trieste", 
"Piacenza", 
"Parma", 
"Reggio nell'Emilia", 
"Modena", 
"Bologna", 
"Ferrara", 
"Ravenna", 
"Forl-Cesena", 
"Pesaro e Urbino", 
"Ancona", 
"Macerata", 
"Ascoli Piceno", 
"Massa-Carrara", 
"Lucca", 
"Pistoia", 
"Firenze", 
"Livorno", 
"Pisa", 
"Arezzo", 
"Siena", 
"Grosseto", 
"Perugia", 
"Terni", 
"Viterbo", 
"Rieti", 
"Roma", 
"Latina", 
"Frosinone", 
"Caserta", 
"Benevento", 
"Napoli", 
"Avellino", 
"Salerno", 
"L'Aquila", 
"Teramo", 
"Pescara", 
"Chieti", 
"Campobasso", 
"Foggia", 
"Bari", 
"Taranto", 
"Brindisi", 
"Lecce", 
"Potenza", 
"Matera", 
"Cosenza", 
"Catanzaro", 
"Reggio di Calabria", 
"Trapani", 
"Palermo", 
"Messina", 
"Agrigento", 
"Caltanissetta", 
"Enna", 
"Catania", 
"Ragusa", 
"Siracusa", 
"Sassari", 
"Nuoro", 
"Cagliari", 
"Pordenone", 
"Isernia", 
"Oristano", 
"Biella", 
"Lecco", 
"Lodi", 
"Rimini", 
"Prato", 
"Crotone", 
"Vibo Valentia", 
"Verbano-Cusio-Ossola", 
"Olbia-Tempio", 
"Ogliastra", 
"Medio Campidano", 
"Carbonia-Iglesias", 
"Monza e della Brianza", 
"Fermo", 
"Barletta-Andria-Trani", 
"Estero")) 


reg_prima_Fact <- factor(DF_InsProLau_A2015$reg_prima, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20", 
"99"), 
labels=c("Piemonte", 
"Valle d'Aosta", 
"Lombardia", 
"Trentino-Alto Adige", 
"Veneto", 
"Friuli-Venezia Giulia", 
"Liguria", 
"Emilia-Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna", 
"Estero")) 


rip_prima_Fact <- factor(DF_InsProLau_A2015$rip_prima, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"9"), 
labels=c("Nord-ovest", 
"Nord-est", 
"Centro", 
"Sud", 
"Isole", 
"Estero")) 


L1_7_Fact <- factor(DF_InsProLau_A2015$L1_7, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Una laurea triennale", 
"Unaltra laurea specialistica, una laurea a ciclo unico (5-6 anni) o del vecchio ordinamento", 
"Un diploma universitario o scuola diretta a fini speciali", 
"Un altro titolo universitario (AFAM, Scuola Mediatori Linguistici ecc) ", 
"Un titolo conseguito allestero (universitario o non universitario)")) 


L1_8_MFR_Fact <- factor(DF_InsProLau_A2015$L1_8_MFR, 
levels=c(101001, 
102001, 
201002, 
701007, 
1001010, 
1201012, 
1202012, 
1301013, 
1501015, 
1502015, 
1503015, 
1504015, 
1505015, 
1508015, 
1509015, 
1601016, 
1701017, 
1801018, 
1802018, 
2101021, 
2201022, 
2301023, 
2701027, 
2702027, 
2801028, 
3001030, 
3201032, 
3202032, 
3401034, 
3601035, 
3701037, 
3801038, 
4101041, 
4201042, 
4301043, 
4302043, 
4601046, 
4801048, 
4803048, 
5001050, 
5002050, 
5003050, 
5201052, 
5202052, 
5401054, 
5403054, 
5601056, 
5801058, 
5802058, 
5803058, 
5805058, 
5806058, 
5807058, 
5808058, 
5809058, 
5810058, 
5814058, 
5816058, 
6001060, 
6201062, 
6202062, 
6301063, 
6302063, 
6303063, 
6304063, 
6306063, 
6307063, 
6501065, 
6601066, 
6701067, 
6901069, 
7001070, 
7101071, 
7201072, 
7202072, 
7501075, 
7601076, 
7801078, 
7901079, 
8001080, 
8201082, 
8301083, 
8601086, 
8701087, 
9001090, 
9201092, 
9999999), 
labels=c("Torino - Universit degli studi", 
"Torino - Politecnico", 
"Vercelli - Universit degli studi del Piemonte orientale A. Avogadro", 
"Aosta - Universit degli studi", 
"Genova - Universit degli studi", 
"Castellanza - Universit Carlo Cattaneo (LIUC)", 
"Varese - Universit dell' Insubria", 
"Novedrate (CO) - Universit telematica e-Campus", 
"Milano - Universit degli studi", 
"Milano - Politecnico", 
"Milano - Universit commerciale Luigi Bocconi", 
"Milano - Universit Cattolica del Sacro Cuore", 
"Milano - Libera Universit di Lingue e Comunicazione (IULM)", 
"Milano - Universit Vita-Salute San Raffaele", 
"Milano-Bicocca - Universit degli studi", 
"Bergamo - Universit degli studi", 
"Brescia - Universit degli studi", 
"Pavia - Universit degli studi", 
"Pavia - Istituto Universitario di Studi Superiori", 
"Bolzano - Libera Universit", 
"Trento - Universit degli studi", 
"Verona - Universit degli studi", 
"Venezia - Universit degli studi C Foscari", 
"Venezia - Istituto Universitario di Architettura Iuav", 
"Padova - Universit degli studi", 
"Udine - Universit degli studi", 
"Trieste - Universit degli studi", 
"Trieste - Scuola Internazionale Superiore di Studi Avanzati", 
"Parma - Universit degli studi", 
"Reggio Emilia - Sede dell'Universit di Modena e Reggio Emilia", 
"Bologna - Universit degli studi", 
"Ferrara - Universit degli studi", 
"Urbino - Universit degli studi", 
"Ancona - Universit Politecnica delle Marche", 
"Macerata - Universit degli studi", 
"Camerino - Universit degli studi", 
"Lucca - Scuola IMT Alti Studi", 
"Firenze - Universit degli studi", 
"Firenze - Istituto Italiano di Scienze Umane", 
"Pisa - Universit degli studi", 
"Pisa - Scuola Normale Superiore", 
"Pisa - Scuola Superiore di Studi Universitari e Perfezionamento S. Anna", 
"Siena - Universit degli studi", 
"Siena - Universit per stranieri", 
"Perugia - Universit degli studi", 
"Perugia - Universit per stranieri", 
"Viterbo - Universit della Tuscia", 
"Roma - Universit degli studi La Sapienza", 
"Roma - Universit degli studi di Tor Vergata", 
"Roma - Libera Universit Maria SS.Assunta (LUMSA)", 
"Roma - Libera Universit internazionale degli studi sociali Guido Carli (LUISS)", 
"Roma - Universit degli studi del Foro Italico", 
"Roma - Universit degli studi Roma Tre", 
"Roma - Universit Campus Bio-Medico", 
"Roma - Libera Universit degli Studi Per l'Innovazione e le Organizzazioni (ex Libera Universit San Pio V di Roma)", 
"Roma - Universit telematica Guglielmo Marconi", 
"Roma - Universit telematica Niccol Cusano", 
"Roma - Universit telematica Unitelma Sapienza", 
"Cassino - Universit degli studi", 
"Benevento - Universit degli studi del Sannio", 
"Benevento - Universita telematica Giustino Fortunato", 
"Napoli - Universit degli studi Federico II", 
"Napoli - Universit degli studi Parthenope", 
"Napoli - Universit degli studi L' Orientale", 
"Napoli - Istituto Universitario Suor Orsola Benincasa", 
"Napoli - Seconda Universit degli studi", 
"Napoli - Universita telematica Pegaso", 
"Salerno - Universit degli studi", 
"LAquila - Universit degli studi", 
"Teramo - Universit degli studi", 
"Chieti - Universit degli studi Gabriele DAnnunzio", 
"Campobasso - Universit degli studi del Molise", 
"Foggia - Universit degli studi", 
"Bari - Universit degli studi", 
"Bari - Politecnico", 
"Lecce - Universit del Salento", 
"Potenza - Universit degli studi della Basilicata", 
"Arcavacata di Rende - Universit degli studi della Calabria", 
"Catanzaro - Universit degli studi Magna Grecia", 
"Reggio Calabria - Universit degli studi Mediterranea", 
"Palermo - Universit degli studi", 
"Messina - Universit degli studi", 
"Enna - Universit degli studi KORE", 
"Catania - Universit degli studi", 
"Sassari - Universit degli studi", 
"Cagliari - Universit degli studi", 
"Altro ateneo")) 


L1_11_Fact <- factor(DF_InsProLau_A2015$L1_11, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12, 
13, 
14, 
15, 
16), 
labels=c("Agrario", 
"Architettura", 
"Chimico-farmaceutico", 
"Difesa e sicurezza", 
"Economico-statistico", 
"Educazione fisica", 
"Geo-biologico", 
"Giuridico", 
"Ingegneria", 
"Insegnamento", 
"Letterario", 
"Linguistico", 
"Medico", 
"Politico-sociale", 
"Psicologico", 
"Scientifico")) 


L1_12_Fact <- factor(DF_InsProLau_A2015$L1_12, 
levels=c(1, 
2, 
3, 
4), 
labels=c("laurea a ciclo unico o specialistica", 
"laurea triennale", 
"diploma universitario o di scuola diretta a fini  speciali", 
"No")) 


L1_14_Fact <- factor(DF_InsProLau_A2015$L1_14, 
levels=c(1, 
2, 
3, 
4), 
labels=c("S, solo per attivit formative e di studio (inclusi corsi universitari interrotti o conclusi) ", 
"S, solo per attivit lavorative", 
"S, sia per attivit formative che lavorative", 
"No")) 


L1_15_Fact <- factor(DF_InsProLau_A2015$L1_15, 
levels=c(1, 
2, 
3), 
labels=c("con regolarit", 
"saltuariamente", 
"mai/quasi mai")) 


L1_16_Fact <- factor(DF_InsProLau_A2015$L1_16, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L1_17_Fact <- factor(DF_InsProLau_A2015$L1_17, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L1_18_MFR_Fact <- factor(DF_InsProLau_A2015$L1_18_MFR, 
levels=c(901, 
902, 
903, 
904, 
905, 
906, 
907, 
908, 
909, 
998), 
labels=c("UE eccetto: Francia, Germania, Regno Unito, Spagna, Belgio, Italia", 
"Francia", 
"Germania", 
"Regno Unito", 
"Spagna", 
"Svizzera", 
"Belgio", 
"USA", 
"Resto del mondo", 
"Stato non definito")) 


L1_19_Fact <- factor(DF_InsProLau_A2015$L1_19, 
levels=c(1, 
2, 
3), 
labels=c("lavori occasionali o stagionali", 
"lavori continuativi", 
"non ho mai lavorato")) 


L1_20_Fact <- factor(DF_InsProLau_A2015$L1_20, 
levels=c(1, 
2), 
labels=c("in corso", 
"fuori corso")) 


L1_23_Fact <- factor(DF_InsProLau_A2015$L1_23, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11), 
labels=c("per interesse verso la disciplina specifica", 
"il corso garantiva buone prospettive lavorative", 
"perch suggerito da familiari/amici", 
"per seguire gli amici", 
"perch suggerito dai professori di scuola secondaria", 
"per ripiego (non ho superato i test di ingresso per il corso che mi interessava)", 
"perch il diploma non offriva opportunit di lavoro", 
"perch rappresentava lunica offerta didattica locale", 
"perch rappresenta la prosecuzione naturale degli studi dopo la laurea triennale", 
"perch la laurea triennale non offriva opportunit di lavoro", 
"altro motivo (specificare)")) 


L1_25_Fact <- factor(DF_InsProLau_A2015$L1_25, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L1_26_Fact <- factor(DF_InsProLau_A2015$L1_26, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("sono insoddisfatto degli sbocchi professionali offerti da questa laurea", 
"sono rimasto deluso dai contenuti del corso", 
"sono rimasto deluso dalla gestione del corso (occasioni formative, disponibilit dei docenti)", 
"la durata e/o l'impegno degli studi sono eccessivi", 
"ho maturato nuovi interessi", 
"altro motivo (specificare)")) 


L1_28_Fact <- factor(DF_InsProLau_A2015$L1_28, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L1_29_Fact <- factor(DF_InsProLau_A2015$L1_29, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("E' insoddisfatto degli sbocchi professionali offerti dalla laurea", 
"Ha maturato nuovi interessi", 
"E' rimasto deluso dallesperienza universitaria", 
"Per cercare subito lavoro", 
"Altro motivo (specificare)")) 


L1_31_Fact <- factor(DF_InsProLau_A2015$L1_31, 
levels=c(1, 
2, 
3), 
labels=c("S", 
"No, non era previsto", 
"No, per altri motivi")) 


L1_32A_Fact <- factor(DF_InsProLau_A2015$L1_32A, 
levels=c(1, 
2, 
3, 
4), 
labels=c("S, sono attualmente iscritto ", 
"S, l'ho concluso", 
"S, l'ho interrotto", 
"No")) 


L1_32B_Fact <- factor(DF_InsProLau_A2015$L1_32B, 
levels=c(1, 
2, 
3, 
4), 
labels=c("S, la sto attualmente frequentando", 
"S, l'ho conclusa", 
"S, l'ho interrotta", 
"No")) 


L1_32C_Fact <- factor(DF_InsProLau_A2015$L1_32C, 
levels=c(1, 
2, 
3, 
4), 
labels=c("S, sono attualmente iscritto ", 
"S, l'ho concluso", 
"S, l'ho interrotto", 
"No")) 


L1_32D_Fact <- factor(DF_InsProLau_A2015$L1_32D, 
levels=c(1, 
2, 
3, 
4), 
labels=c("S, sono attualmente iscritto ", 
"S, l'ho concluso", 
"S, l'ho interrotto", 
"No")) 


L1_32E_Fact <- factor(DF_InsProLau_A2015$L1_32E, 
levels=c(1, 
2, 
3, 
4), 
labels=c("S, sono attualmente iscritto ", 
"S, l'ho concluso", 
"S, l'ho interrotto", 
"No")) 


L1_33_Fact <- factor(DF_InsProLau_A2015$L1_33, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("per approfondire lo studio della materia", 
"per avere migliori opportunit di lavoro e carriera", 
"per avere un  titolo superiore", 
"per suggerimenti/ pressioni familiari", 
"per tenermi impegnato in attesa di lavoro", 
"perch rappresenta la prosecuzione naturale degli studi dopo la laurea triennale", 
"altro motivo (specificare)")) 


L1_36A_Fact <- factor(DF_InsProLau_A2015$L1_36A, 
levels=c(1, 
2, 
3, 
4), 
labels=c("S, la sto attualmente frequentando", 
"S, l'ho conclusa", 
"S, l'ho interrotta", 
"No")) 


L1_36B_Fact <- factor(DF_InsProLau_A2015$L1_36B, 
levels=c(1, 
2, 
3, 
4), 
labels=c("S, la sto attualmente frequentando", 
"S, l'ho conclusa", 
"S, l'ho interrotta", 
"No")) 


L1_36C_Fact <- factor(DF_InsProLau_A2015$L1_36C, 
levels=c(1, 
2, 
3, 
4), 
labels=c("S, la sto attualmente frequentando", 
"S, l'ho conclusa", 
"S, l'ho interrotta", 
"No")) 


L1_36D_Fact <- factor(DF_InsProLau_A2015$L1_36D, 
levels=c(1, 
2, 
3, 
4), 
labels=c("S, la sto attualmente frequentando", 
"S, l'ho conclusa", 
"S, l'ho interrotta", 
"No")) 


L1_36E_Fact <- factor(DF_InsProLau_A2015$L1_36E, 
levels=c(1, 
2, 
3, 
4), 
labels=c("S, la sto attualmente frequentando", 
"S, l'ho conclusa", 
"S, l'ho interrotta", 
"No")) 


L1_36F_Fact <- factor(DF_InsProLau_A2015$L1_36F, 
levels=c(1, 
2, 
3, 
4), 
labels=c("S, la sto attualmente frequentando", 
"S, l'ho conclusa", 
"S, l'ho interrotta", 
"No")) 


L1_36G_Fact <- factor(DF_InsProLau_A2015$L1_36G, 
levels=c(1, 
2, 
3, 
4), 
labels=c("S, la sto attualmente frequentando", 
"S, l'ho conclusa", 
"S, l'ho interrotta", 
"No")) 


L1_36H_Fact <- factor(DF_InsProLau_A2015$L1_36H, 
levels=c(1, 
2, 
3, 
4), 
labels=c("S, la sto attualmente frequentando", 
"S, l'ho conclusa", 
"S, l'ho interrotta", 
"No")) 


L1_37_Fact <- factor(DF_InsProLau_A2015$L1_37, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L1_38A_Fact <- factor(DF_InsProLau_A2015$L1_38A, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L1_38B_Fact <- factor(DF_InsProLau_A2015$L1_38B, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L1_38C_Fact <- factor(DF_InsProLau_A2015$L1_38C, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L1_38D_Fact <- factor(DF_InsProLau_A2015$L1_38D, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L1_38E_Fact <- factor(DF_InsProLau_A2015$L1_38E, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L1_38F_Fact <- factor(DF_InsProLau_A2015$L1_38F, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L1_38G_Fact <- factor(DF_InsProLau_A2015$L1_38G, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L1_38H_Fact <- factor(DF_InsProLau_A2015$L1_38H, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L1_39_Fact <- factor(DF_InsProLau_A2015$L1_39, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8), 
labels=c("al dottorato di ricerca", 
"alla specializzazione post-laurea", 
"al master universitario", 
"alla borsa di studio/lavoro", 
"allo stage", 
"al tirocinio e al praticantato", 
"al corso di formazione professionale o di aggiornamento", 
"all'attivit di studio o formazione")) 


L2_1_Fact <- factor(DF_InsProLau_A2015$L2_1, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L2_2_Fact <- factor(DF_InsProLau_A2015$L2_2, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8), 
labels=c("Sto per iniziare un lavoro", 
"Sto studiando o sto per iniziare un'attivit formativa", 
"Non trovo lavori che mi interessano", 
"Non riesco a trovare un lavoro (retribuito) o ho appena perso il lavoro", 
"Per motivi personali e/o familiari (salute, maternit, assistenza  familiari ecc.)", 
"Sto aspettando gli esiti di passate azioni di ricerca", 
"Non mi interessa/non ne ho bisogno", 
"Altro motivo (specificare)")) 


L2_4_Fact <- factor(DF_InsProLau_A2015$L2_4, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L2_5_Fact <- factor(DF_InsProLau_A2015$L2_5, 
levels=c(1, 
2), 
labels=c("Attivit lavorativa", 
"Dottorato di ricerca, specializzazione post-laurea, master extrauniversitario, borsa di studio o lavoro, stage, tirocinio o praticantato, corso di formazione o di aggiornamento, attivit di studio o formazione")) 


L2_6_Fact <- factor(DF_InsProLau_A2015$L2_6, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Lavoro alle dipendenze", 
"Lavoro autonomo", 
"Lavoro di collaborazione coordinata e continuativa (con o senza progetto)", 
"Lavoro di prestazione dopera occasionale")) 


L2_7_Fact <- factor(DF_InsProLau_A2015$L2_7, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Imprenditore", 
"Libero professionista", 
"Lavoratore in proprio (titolare di piccola impresa, commerciante, artigiano, coltivatore diretto ecc.)", 
"Coadiuvante nellazienda di un familiare", 
"Socio di cooperativa")) 


L2_8_Fact <- factor(DF_InsProLau_A2015$L2_8, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Dirigente (direttore generale di azienda, dirigente di dipartimento ricerca e sviluppo ecc.)", 
"Quadro, funzionario (insegnante di scuola materna, elementare, media inferiore o superiore, ufficiale delle Forze Armate ecc.)", 
"Impiegato ad alta/media qualificazione (analista di dati, geometra e perito tecnico, capo segreteria, infermiere professionale, contabile, archivista, sottufficiale delle Forze Armate ecc.)", 
"Impiegato esecutivo (addetto allo sportello, telefonista, segretario, commesso di negozio, militare di carriera delle Forze Armate di grado inferiore a sottufficiale ecc.)", 
"Operaio (operaio comune, specializzato, capo operaio, colf, baby sitter, usciere, facchino ecc.)", 
"Apprendista")) 


L2_9_Fact <- factor(DF_InsProLau_A2015$L2_9, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L2_10_Fact <- factor(DF_InsProLau_A2015$L2_10, 
levels=c(1, 
2), 
labels=c("Pubblica Amministrazione", 
"Privato")) 


L2_11_Fact <- factor(DF_InsProLau_A2015$L2_11, 
levels=c(1, 
2, 
3), 
labels=c("Agricoltura, caccia e pesca", 
"Industria", 
"Servizi (include universit)")) 


L2_12_Fact <- factor(DF_InsProLau_A2015$L2_12, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8), 
labels=c("Estrazione di minerali, produzione e fornitura di energia elettrica, gas, acqua e gestione rifiuti", 
"Fabbricazione di prodotti chimici, petrolchimici e farmaceutici", 
"Fabbricazione di macchinari e apparecchiature meccaniche", 
"Fabbricazione di apparecchiature elettriche, elettroniche e ottiche", 
"Fabbricazione di mezzi di trasporto", 
"Costruzioni", 
"Produzione alimentare, tessile e abbigliamento", 
"Altra attivit manifatturiera")) 


L2_13_Fact <- factor(DF_InsProLau_A2015$L2_13, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11), 
labels=c("Commercio, riparazioni veicoli, alloggio e ristorazione (alberghi, ristoranti, pubblici esercizi ecc.)", 
"Trasporto, magazzinaggio e servizi postali ", 
"Servizi di informazione e comunicazione (informatica, editoria, telecomunicazioni ecc.)", 
"Alloggio e ristorazione", 
"Attivit finanziarie e assicurative", 
"Attivit professionali, scientifiche e tecniche (attivit legali e contabilit, studi architettura, ingegneria, pubblicit, ricerche di mercato, design, traduzione, veterinari ecc.)  ", 
"Pubblica Amministrazione e difesa (ministeri, regioni, enti locali, assicurazione  obbligatoria ecc.)", 
"Istruzione (universit e scuole di ogni ordine e grado, pubbliche e private)", 
"Sanit e assistenza sociale (ospedali, ASL, studi medici, assistenza sociale ecc.)", 
"Organismi e organizzazioni extraterritoriali (ONU, CEE, Eurostat, FAO, Ambasciata, Consolato ecc.)", 
"Altri servizi: attivit immobiliari, noleggio, agenzie viaggio, servizi alle imprese e alla persona, attivit culturali, sportive e artistiche, associazioni (cinema, musei,  reclutamento personale, vigilanza, sindacati, call center, palestre, parrucchiere,")) 


PROF_MFR_Fact <- factor(DF_InsProLau_A2015$PROF_MFR, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9", 
"1.1", 
"1.2", 
"1.3", 
"2.1", 
"2.2", 
"2.3", 
"2.4", 
"2.5", 
"2.6", 
"3.1", 
"3.2", 
"3.3", 
"3.4", 
"4.1", 
"4.2", 
"4.3", 
"4.4", 
"5.1", 
"5.2", 
"5.3", 
"5.4", 
"6.1", 
"6.2", 
"6.3", 
"6.4", 
"6.5", 
"7.1", 
"7.2", 
"7.3", 
"7.4", 
"8.1", 
"8.2", 
"8.3", 
"8.4", 
"9.1", 
"9.2", 
"9.3"), 
labels=c("Legislatori, imprenditori e alta dirigenza", 
"Professioni intellettuali, scientifiche e di elevata specializzazione", 
"Professioni tecniche", 
"Professioni esecutive nel lavoro d'ufficio", 
"Professioni qualificate nelle attivit commerciali e nei servizi", 
"Artigiani, operai specializzati e agricoltori", 
"Conduttori di impianti, operai di macchinari fissi e mobili e conducenti di veicoli", 
"Professioni non qualificate", 
"Forze armate", 
"Membri dei corpi legislativi e di governo, dirigenti ed equiparati dell'amministrazione pubblica, nella magistratura, nei servizi di sanit, istruzione e ricerca e nelle organizzazioni di interesse nazionale e sovranazionale", 
"Imprenditori, amministratori e direttori di grandi aziende", 
"Imprenditori e responsabili di piccole aziende", 
"Specialisti in scienze matematiche, informatiche, chimiche, fisiche e naturali", 
"Ingegneri, architetti e professioni assimilate", 
"Specialisti nelle scienze della vita", 
"Specialisti della salute", 
"Specialisti in scienze umane, sociali, artistiche e gestionali", 
"Specialisti della formazione e della ricerca", 
"Professioni tecniche in campo scientifico, ingegneristico e della produzione", 
"Professioni tecniche nelle scienze della salute e della vita", 
"Professioni tecniche nellorganizzazione, amministrazione e nelle attivit finanziarie e commerciali", 
"Professioni tecniche nei servizi pubblici e alle persone", 
"Impiegati addetti alle funzioni di segreteria e alle macchine da ufficio", 
"Impiegati addetti ai movimenti di denaro e all'assistenza clienti", 
"Impiegati addetti alla gestione amministrativa, contabile e finanziaria", 
"Impiegati addetti alla raccolta, controllo, conservazione e recapito della documentazione", 
"Professioni qualificate nelle attivit commerciali", 
"Professioni qualificate nelle attivit ricettive e della ristorazione", 
"Professioni qualificate nei servizi sanitari e sociali", 
"Professioni qualificate nei servizi culturali, di sicurezza e alla persona", 
"Artigiani e operai specializzati dell industria estrattiva, delledilizia e della manutenzione degli edifici", 
"Artigiani ed operai metalmeccanici specializzati e installatori e manutentori di attrezzature elettriche ed elettroniche", 
"Artigiani ed operai specializzati della meccanica di precisione, dell'artigianato artistico, della stampa ed assimilati", 
"Agricoltori e operai specializzati dellagricoltura, delle foreste, della zootecnia, della pesca e della caccia", 
"Artigiani e operai specializzati delle lavorazioni alimentari, del legno, del tessile, dell'abbigliamento, delle pelli, del cuoio e dell'industria dello spettacolo", 
"Conduttori di impianti industriali", 
"Operai semiqualificati di macchinari fissi per la lavorazione in serie e operai addetti al montaggio", 
"Operatori di macchinari fissi in agricoltura e nella industria alimentare", 
"Conduttori di veicoli, di macchinari mobili e di sollevamento", 
"Professioni non qualificate nel commercio e nei servizi", 
"Professioni non qualificate nelle attivit domestiche, ricreative e culturali", 
"Professioni non qualificate nell'agricoltura, nella manutenzione del verde, nell'allevamento, nella silvicoltura e nella pesca", 
"Professioni non qualificate nella manifattura, nell'estrazione di minerali e nelle costruzioni", 
"Ufficiali delle forze armate", 
"Sergenti, sovraintendenti e marescialli delle forze armate", 
"Truppa delle forze armate")) 


L2_16_Fact <- factor(DF_InsProLau_A2015$L2_16, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12, 
13, 
14, 
15, 
16, 
17, 
18, 
19, 
20, 
21, 
22, 
23, 
24, 
25, 
26, 
27), 
labels=c("Architettura", 
"Ingegneria civile", 
"Ingegneria dell'informazione", 
"Ingegneria industriale", 
"Scienze agrarie", 
"Scienze biologiche", 
"Scienze chimiche", 
"Scienze della terra", 
"Scienze dell'antichit e filologico-letterarie", 
"Scienze delle attivit motorie e delle discipline sportive", 
"Scienze economiche (aziendali)", 
"Scienze economiche (socio-politiche)", 
"Scienze filosofiche", 
"Scienze fisiche", 
"Scienze geografiche e demoetnoantropologiche", 
"Scienze giuridiche", 
"Scienze informatiche", 
"Scienze matematiche", 
"Scienze mediche", 
"Scienze pedagogiche", 
"Scienze politiche e sociali", 
"Scienze psicologiche", 
"Scienze statistiche", 
"Scienze storiche", 
"Scienze storico-artistiche", 
"Scienze veterinarie", 
"Altro")) 


L2_17_Fact <- factor(DF_InsProLau_A2015$L2_17, 
levels=c(1, 
2), 
labels=c("A tempo indeterminato (senza una scadenza)", 
"A termine (a tempo determinato)")) 


L2_18_Fact <- factor(DF_InsProLau_A2015$L2_18, 
levels=c(1, 
2), 
labels=c("ho iniziato con un contratto a termine", 
"fin dallinizio avevo un contratto senza scadenza")) 


L2_19_Fact <- factor(DF_InsProLau_A2015$L2_19, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Contratto di apprendistato, inserimento lavorativo o formazione lavoro (inquadrato in un CCNL)", 
"Contratto di lavoro interinale o di somministrazione lavoro (inquadrato in un CCNL)", 
"Altro tipo di contratto a termine (inclusi contratti esteri a termine)", 
"Senza contratto, accordo verbale")) 


L2_20_Fact <- factor(DF_InsProLau_A2015$L2_20, 
levels=c(1, 
2), 
labels=c("Per scelta", 
"Non ho trovato un lavoro a tempo indeterminato")) 


L2_21_Fact <- factor(DF_InsProLau_A2015$L2_21, 
levels=c(1, 
2, 
3), 
labels=c("Buone", 
"Scarse", 
"Non so")) 


L2_22_Fact <- factor(DF_InsProLau_A2015$L2_22, 
levels=c(1, 
2), 
labels=c("A tempo pieno", 
"Part-time (a tempo parziale)")) 


L2_23_Fact <- factor(DF_InsProLau_A2015$L2_23, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11), 
labels=c("per interesse verso la disciplina specifica", 
"il corso garantiva buone prospettive lavorative", 
"perch suggerito da familiari/amici", 
"per seguire gli amici", 
"perch suggerito dai professori di scuola secondaria", 
"per ripiego (non ho superato i test di ingresso per il corso che mi interessava)", 
"perch il diploma non offriva opportunit di lavoro", 
"perch rappresentava lunica offerta didattica locale", 
"perch rappresenta la prosecuzione naturale degli studi dopo la laurea triennale", 
"perch la laurea triennale non offriva opportunit di lavoro", 
"altro motivo (specificare)")) 


PROV_STATO_LAV_MFR_Fact <- factor(DF_InsProLau_A2015$PROV_STATO_LAV_MFR, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"007", 
"008", 
"009", 
"010", 
"011", 
"012", 
"013", 
"014", 
"015", 
"016", 
"017", 
"018", 
"019", 
"020", 
"021", 
"022", 
"023", 
"024", 
"025", 
"026", 
"027", 
"028", 
"029", 
"030", 
"031", 
"032", 
"033", 
"034", 
"035", 
"036", 
"037", 
"038", 
"039", 
"040", 
"041", 
"042", 
"043", 
"044", 
"045", 
"046", 
"047", 
"048", 
"049", 
"050", 
"051", 
"052", 
"053", 
"054", 
"055", 
"056", 
"057", 
"058", 
"059", 
"060", 
"061", 
"062", 
"063", 
"064", 
"065", 
"066", 
"067", 
"068", 
"069", 
"070", 
"071", 
"072", 
"073", 
"074", 
"075", 
"076", 
"077", 
"078", 
"079", 
"080", 
"081", 
"082", 
"083", 
"084", 
"085", 
"086", 
"087", 
"088", 
"089", 
"090", 
"091", 
"092", 
"093", 
"094", 
"095", 
"096", 
"097", 
"098", 
"099", 
"100", 
"101", 
"102", 
"103", 
"104", 
"105", 
"106", 
"107", 
"108", 
"109", 
"110", 
"901", 
"902", 
"903", 
"904", 
"905", 
"906", 
"907", 
"908", 
"909", 
"998"), 
labels=c("Torino", 
"Vercelli", 
"Novara", 
"Cuneo", 
"Asti", 
"Alessandria", 
"Valle d'Aosta/Valle d'Aoste", 
"Imperia", 
"Savona", 
"Genova", 
"La Spezia", 
"Varese", 
"Como", 
"Sondrio", 
"Milano", 
"Bergamo", 
"Brescia", 
"Pavia", 
"Cremona", 
"Mantova", 
"Bolzano/Bozen", 
"Trento", 
"Verona", 
"Vicenza", 
"Belluno", 
"Treviso", 
"Venezia", 
"Padova", 
"Rovigo", 
"Udine", 
"Gorizia", 
"Trieste", 
"Piacenza", 
"Parma", 
"Reggio nell'Emilia", 
"Modena", 
"Bologna", 
"Ferrara", 
"Ravenna", 
"Forl-Cesena", 
"Pesaro e Urbino", 
"Ancona", 
"Macerata", 
"Ascoli Piceno", 
"Massa-Carrara", 
"Lucca", 
"Pistoia", 
"Firenze", 
"Livorno", 
"Pisa", 
"Arezzo", 
"Siena", 
"Grosseto", 
"Perugia", 
"Terni", 
"Viterbo", 
"Rieti", 
"Roma", 
"Latina", 
"Frosinone", 
"Caserta", 
"Benevento", 
"Napoli", 
"Avellino", 
"Salerno", 
"L'Aquila", 
"Teramo", 
"Pescara", 
"Chieti", 
"Campobasso", 
"Foggia", 
"Bari", 
"Taranto", 
"Brindisi", 
"Lecce", 
"Potenza", 
"Matera", 
"Cosenza", 
"Catanzaro", 
"Reggio di Calabria", 
"Trapani", 
"Palermo", 
"Messina", 
"Agrigento", 
"Caltanissetta", 
"Enna", 
"Catania", 
"Ragusa", 
"Siracusa", 
"Sassari", 
"Nuoro", 
"Cagliari", 
"Pordenone", 
"Isernia", 
"Oristano", 
"Biella", 
"Lecco", 
"Lodi", 
"Rimini", 
"Prato", 
"Crotone", 
"Vibo Valentia", 
"Verbano-Cusio-Ossola", 
"Olbia-Tempio", 
"Ogliastra", 
"Medio Campidano", 
"Carbonia-Iglesias", 
"Monza e della Brianza", 
"Fermo", 
"Barletta-Andria-Trani", 
"UE eccetto: Francia, Germania, Regno Unito, Spagna, Belgio, Italia", 
"Francia", 
"Germania", 
"Regno Unito", 
"Spagna", 
"Svizzera", 
"Belgio", 
"USA", 
"Resto del mondo", 
"Stato non definito")) 


reg_lav_Fact <- factor(DF_InsProLau_A2015$reg_lav, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20", 
"99"), 
labels=c("Piemonte", 
"Valle d'Aosta", 
"Lombardia", 
"Trentino-Alto Adige", 
"Veneto", 
"Friuli-Venezia Giulia", 
"Liguria", 
"Emilia-Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna", 
"Estero")) 


rip_lav_Fact <- factor(DF_InsProLau_A2015$rip_lav, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"9"), 
labels=c("Nord-ovest", 
"Nord-est", 
"Centro", 
"Sud", 
"Isole", 
"Estero")) 


L2_29_Fact <- factor(DF_InsProLau_A2015$L2_29, 
levels=c(1, 
2), 
labels=c("Prima", 
"Dopo")) 


L2_30_Fact <- factor(DF_InsProLau_A2015$L2_30, 
levels=c(1, 
2), 
labels=c("Prima", 
"Dopo")) 


L2_31_Fact <- factor(DF_InsProLau_A2015$L2_31, 
levels=c(1, 
2), 
labels=c("Prima", 
"Dopo")) 


L2_44_Fact <- factor(DF_InsProLau_A2015$L2_44, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12), 
labels=c("Concorso pubblico (comprese selezioni pubbliche)", 
"Conoscenza diretta del datore di lavoro", 
"Segnalazione a datore di lavoro da parte di familiari/amici/conoscenti", 
"Segnalazione a datori di lavoro da parte dellUniversit/ centri di formazione", 
"A seguito di uno stage o tirocinio presso azienda/ente", 
"Chiamata diretta dellazienda/ente", 
"Inserzioni sui giornali o su Internet", 
"Invio di curriculum ai datori di lavoro (presentandosi di persona, presentando domande, telefonando ecc.) ", 
"Centro pubblico per l'impiego (ex Ufficio di collocamento)", 
"Ho iniziato unattivit autonoma (da solo o con altri)", 
"Agenzie private di collocamento o selezione del personale", 
"Altro canale")) 


L2_45_Fact <- factor(DF_InsProLau_A2015$L2_45, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L2_46_Fact <- factor(DF_InsProLau_A2015$L2_46, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Un genitore", 
"Un fratello o una sorella", 
"Un altro parente", 
"Un'altra persona")) 


L2_47_Fact <- factor(DF_InsProLau_A2015$L2_47, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Mi ha aiutato nella preparazione alle prove di selezione", 
"Mi ha dato un finanziamento iniziale", 
"Mi ha messo a disposizione strutture o apparecchiature (comprende l'aver aperto un'attivit insieme)", 
"Mi ha messo in contatto con il mio attuale datore di lavoro", 
"Mi ha fornito informazioni che si sono rivelate decisive", 
"Altro modo (specificare)")) 


L2_49_Fact <- factor(DF_InsProLau_A2015$L2_49, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L2_50_Fact <- factor(DF_InsProLau_A2015$L2_50, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L2_51_Fact <- factor(DF_InsProLau_A2015$L2_51, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("S, era richiesta una laurea di qualsiasi tipo (triennale o specialistica o a ciclo unico) ", 
"S, era espressamente richiesta la laurea  a ciclo unico", 
"S, era espressamente richiesta la laurea  specialistica", 
"S, era espressamente richiesta la laurea  triennale", 
"No, non era richiesta la laurea  ma  stata utile   ", 
"No, non era richiesta la laurea e non  stata utile")) 


L2_52_Fact <- factor(DF_InsProLau_A2015$L2_52, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L2_53_Fact <- factor(DF_InsProLau_A2015$L2_53, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L2_59_Fact <- factor(DF_InsProLau_A2015$L2_59, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L2_60_Fact <- factor(DF_InsProLau_A2015$L2_60, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L2_61_Fact <- factor(DF_InsProLau_A2015$L2_61, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L2_62_Fact <- factor(DF_InsProLau_A2015$L2_62, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9), 
labels=c("Avevo gi un lavoro/ero in attesa di un altro lavoro", 
"Non mi piaceva quel tipo di lavoro", 
"Il lavoro non mi garantiva stabilit o sicurezza", 
"Non ero soddisfatto del trattamento economico", 
"Per fruire di una borsa di studio o assegno di ricerca", 
"La sede di lavoro era troppo distante", 
"Avevo impegni familiari o personali", 
"Avevo impegni di studio o di formazione", 
"Altro motivo (specificare)")) 


L2_64_Fact <- factor(DF_InsProLau_A2015$L2_64, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Lavoro alle dipendenze a tempo indeterminato", 
"Lavoro alle dipendenze a tempo determinato", 
"Prestazione d'opera occasionale", 
"Collaborazione coordinata e continuativa (con o senza progetto)", 
"Lavoro autonomo", 
"Borsa di studio o di ricerca", 
"Assegno di ricerca")) 


L2_67_Fact <- factor(DF_InsProLau_A2015$L2_67, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12), 
labels=c("Avevo trovato un altro lavoro", 
"Era un lavoro a termine (borsa di studio ecc.)", 
"Non mi piaceva quel tipo di lavoro", 
"Non mi garantiva stabilit o sicurezza", 
"Non ero soddisfatto del trattamento economico", 
"Non ero soddisfatto delle possibilit di carriera", 
"Avevo impegni familiari o personali", 
"La sede di lavoro era troppo distante", 
"Per licenziamento/chiusura attivit", 
"Dovevo studiare o seguire un percorso formativo", 
"Non venivo pagato regolarmente", 
"Altro motivo (specificare)")) 


L2_69_Fact <- factor(DF_InsProLau_A2015$L2_69, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L2_70_Fact <- factor(DF_InsProLau_A2015$L2_70, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L2_71_Fact <- factor(DF_InsProLau_A2015$L2_71, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Lavoro alle dipendenze a tempo indeterminato", 
"Lavoro alle dipendenze a tempo determinato", 
"Lavoro autonomo", 
"Prestazione d'opera occasionale", 
"Collaborazione coordinata e continuativa (con o senza progetto)", 
"Assegno di ricerca", 
"Borsa di studio o ricerca")) 


L2_72_Fact <- factor(DF_InsProLau_A2015$L2_72, 
levels=c(1, 
2), 
labels=c("In Italia", 
"All'estero")) 


L3_1_Fact <- factor(DF_InsProLau_A2015$L3_1, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L3_2_Fact <- factor(DF_InsProLau_A2015$L3_2, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9), 
labels=c("Sto per iniziare un lavoro", 
"Svolgo o sto per iniziare un'attivit formativa retribuita", 
"Frequento un corso di studi (o di formazione professionale)", 
"E molto difficile trovare lavoro", 
"Sono in attesa dellesito di un concorso o di passate azioni di ricerca", 
"Per maternit, nascita di un figlio               ", 
"Non mi interessa/non ne ho bisogno", 
"Per motivi personali/familiari (salute, assistenza familiari ecc.)", 
"Altro motivo (specificare)")) 


L3_3_Fact <- factor(DF_InsProLau_A2015$L3_3, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9), 
labels=c("Cerco un lavoro a tempo indeterminato", 
"Temo di perdere lattuale lavoro", 
"Considero lattuale lavoro transitorio", 
"Per guadagnare di pi", 
"Per raggiungere pi facilmente il luogo di lavoro", 
"Per avere un orario pi adatto alle mie esigenze", 
"Cerco un lavoro pi qualificante e con maggiori prospettive di carriera", 
"Cerco un secondo lavoro", 
"Per motivi personali (salute, cura di figli/familiari)")) 


L3_4A_Fact <- factor(DF_InsProLau_A2015$L3_4A, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L3_4B_Fact <- factor(DF_InsProLau_A2015$L3_4B, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L3_4C_Fact <- factor(DF_InsProLau_A2015$L3_4C, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L3_4D_Fact <- factor(DF_InsProLau_A2015$L3_4D, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L3_4E_Fact <- factor(DF_InsProLau_A2015$L3_4E, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L3_4F_Fact <- factor(DF_InsProLau_A2015$L3_4F, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L3_4G_Fact <- factor(DF_InsProLau_A2015$L3_4G, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L3_4H_Fact <- factor(DF_InsProLau_A2015$L3_4H, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L3_4I_Fact <- factor(DF_InsProLau_A2015$L3_4I, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L3_6_Fact <- factor(DF_InsProLau_A2015$L3_6, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Negli ultimi trenta giorni", 
"Da pi di un mese, ma da meno di sei mesi", 
"Da sei mesi o pi", 
"Non ho ancora preso alcuna iniziativa")) 


L3_7_Fact <- factor(DF_InsProLau_A2015$L3_7, 
levels=c(1, 
2, 
3), 
labels=c("A tempo pieno", 
"Part-time", 
"Non ho preferenze")) 


L3_8_Fact <- factor(DF_InsProLau_A2015$L3_8, 
levels=c(1, 
2, 
3), 
labels=c("Dipendente", 
"Autonomo", 
"Non ho preferenze")) 


L3_9_Fact <- factor(DF_InsProLau_A2015$L3_9, 
levels=c(1, 
2, 
3), 
labels=c("Sia in Italia che all'estero", 
"Solo in Italia", 
"Solo all'estero")) 


L3_10_Fact <- factor(DF_InsProLau_A2015$L3_10, 
levels=c(1, 
2, 
3), 
labels=c("S, ma solo nell'ambito della regione in cui vivo", 
"S, anche fuori della regione in cui vivo", 
"No")) 


L3_12_Fact <- factor(DF_InsProLau_A2015$L3_12, 
levels=c(1, 
2, 
3), 
labels=c("S, potrei iniziarlo entro le prossime due settimane", 
"No, dovrei rispettare i termini di preavviso allattuale datore di lavoro", 
"No, dovrei rinviare per altri motivi")) 


PROV_O_EST_RES_MFR_Fact <- factor(DF_InsProLau_A2015$PROV_O_EST_RES_MFR, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"007", 
"008", 
"009", 
"010", 
"011", 
"012", 
"013", 
"014", 
"015", 
"016", 
"017", 
"018", 
"019", 
"020", 
"021", 
"022", 
"023", 
"024", 
"025", 
"026", 
"027", 
"028", 
"029", 
"030", 
"031", 
"032", 
"033", 
"034", 
"035", 
"036", 
"037", 
"038", 
"039", 
"040", 
"041", 
"042", 
"043", 
"044", 
"045", 
"046", 
"047", 
"048", 
"049", 
"050", 
"051", 
"052", 
"053", 
"054", 
"055", 
"056", 
"057", 
"058", 
"059", 
"060", 
"061", 
"062", 
"063", 
"064", 
"065", 
"066", 
"067", 
"068", 
"069", 
"070", 
"071", 
"072", 
"073", 
"074", 
"075", 
"076", 
"077", 
"078", 
"079", 
"080", 
"081", 
"082", 
"083", 
"084", 
"085", 
"086", 
"087", 
"088", 
"089", 
"090", 
"091", 
"092", 
"093", 
"094", 
"095", 
"096", 
"097", 
"098", 
"099", 
"100", 
"101", 
"102", 
"103", 
"104", 
"105", 
"106", 
"107", 
"108", 
"109", 
"110", 
"999"), 
labels=c("Torino", 
"Vercelli", 
"Novara", 
"Cuneo", 
"Asti", 
"Alessandria", 
"Valle d'Aosta/Valle d'Aoste", 
"Imperia", 
"Savona", 
"Genova", 
"La Spezia", 
"Varese", 
"Como", 
"Sondrio", 
"Milano", 
"Bergamo", 
"Brescia", 
"Pavia", 
"Cremona", 
"Mantova", 
"Bolzano/Bozen", 
"Trento", 
"Verona", 
"Vicenza", 
"Belluno", 
"Treviso", 
"Venezia", 
"Padova", 
"Rovigo", 
"Udine", 
"Gorizia", 
"Trieste", 
"Piacenza", 
"Parma", 
"Reggio nell'Emilia", 
"Modena", 
"Bologna", 
"Ferrara", 
"Ravenna", 
"Forl-Cesena", 
"Pesaro e Urbino", 
"Ancona", 
"Macerata", 
"Ascoli Piceno", 
"Massa-Carrara", 
"Lucca", 
"Pistoia", 
"Firenze", 
"Livorno", 
"Pisa", 
"Arezzo", 
"Siena", 
"Grosseto", 
"Perugia", 
"Terni", 
"Viterbo", 
"Rieti", 
"Roma", 
"Latina", 
"Frosinone", 
"Caserta", 
"Benevento", 
"Napoli", 
"Avellino", 
"Salerno", 
"L'Aquila", 
"Teramo", 
"Pescara", 
"Chieti", 
"Campobasso", 
"Foggia", 
"Bari", 
"Taranto", 
"Brindisi", 
"Lecce", 
"Potenza", 
"Matera", 
"Cosenza", 
"Catanzaro", 
"Reggio di Calabria", 
"Trapani", 
"Palermo", 
"Messina", 
"Agrigento", 
"Caltanissetta", 
"Enna", 
"Catania", 
"Ragusa", 
"Siracusa", 
"Sassari", 
"Nuoro", 
"Cagliari", 
"Pordenone", 
"Isernia", 
"Oristano", 
"Biella", 
"Lecco", 
"Lodi", 
"Rimini", 
"Prato", 
"Crotone", 
"Vibo Valentia", 
"Verbano-Cusio-Ossola", 
"Olbia-Tempio", 
"Ogliastra", 
"Medio Campidano", 
"Carbonia-Iglesias", 
"Monza e della Brianza", 
"Fermo", 
"Barletta-Andria-Trani", 
"Estero")) 


reg_dom_Fact <- factor(DF_InsProLau_A2015$reg_dom, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8, 
9, 
10, 
11, 
12, 
13, 
14, 
15, 
16, 
17, 
18, 
19, 
20, 
99), 
labels=c("Piemonte", 
"Valle d'Aosta", 
"Lombardia", 
"Trentino-Alto Adige", 
"Veneto", 
"Friuli-Venezia Giulia", 
"Liguria", 
"Emilia-Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna", 
"Estero")) 


rip_dom_Fact <- factor(DF_InsProLau_A2015$rip_dom, 
levels=c(1, 
2, 
3, 
4, 
5, 
9), 
labels=c("Nord-ovest", 
"Nord-est", 
"Centro", 
"Sud", 
"Isole", 
"Estero")) 


L4_11_Fact <- factor(DF_InsProLau_A2015$L4_11, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L4_12_Fact <- factor(DF_InsProLau_A2015$L4_12, 
levels=c(1, 
2, 
3, 
4, 
5), 
labels=c("Meno di mezzora", 
"Da mezzora a meno di 1 ora", 
"Da 1 ora a meno di 1 ora e mezza", 
"Da 1 ora e mezza a meno di 2 ore", 
"2 ore o pi")) 


L4_13A_Fact <- factor(DF_InsProLau_A2015$L4_13A, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


L4_13B_Fact <- factor(DF_InsProLau_A2015$L4_13B, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


L4_13C_Fact <- factor(DF_InsProLau_A2015$L4_13C, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


L4_13D_Fact <- factor(DF_InsProLau_A2015$L4_13D, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


L4_13E_Fact <- factor(DF_InsProLau_A2015$L4_13E, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


L4_14_Fact <- factor(DF_InsProLau_A2015$L4_14, 
levels=c(1, 
2, 
3, 
4), 
labels=c("S, in modo permanente", 
"S, in via temporanea ", 
"No", 
"Non so")) 


L4_15_Fact <- factor(DF_InsProLau_A2015$L4_15, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Da 1 anno a meno di 2 anni", 
"Da 2 anni a meno di 3 anni", 
"Da 3 anni a meno di 4 anni", 
"Da 4 anni a meno di 5 anni", 
"5 anni e oltre", 
"Non so")) 


L4_16_Fact <- factor(DF_InsProLau_A2015$L4_16, 
levels=c(201, 
202, 
203, 
206, 
209, 
212, 
214, 
215, 
216, 
219, 
220, 
221, 
223, 
225, 
226, 
227, 
229, 
231, 
232, 
233, 
234, 
235, 
236, 
239, 
240, 
241, 
243, 
244, 
245, 
246, 
247, 
248, 
249, 
250, 
251, 
252, 
253, 
254, 
255, 
256, 
257, 
270, 
271, 
272, 
301, 
302, 
304, 
305, 
306, 
307, 
309, 
310, 
311, 
314, 
315, 
319, 
320, 
322, 
323, 
324, 
326, 
327, 
330, 
331, 
332, 
333, 
334, 
335, 
336, 
337, 
338, 
339, 
340, 
341, 
342, 
343, 
344, 
345, 
346, 
348, 
349, 
351, 
353, 
354, 
356, 
357, 
358, 
359, 
360, 
361, 
362, 
363, 
364, 
401, 
402, 
404, 
406, 
408, 
409, 
410, 
411, 
413, 
414, 
415, 
417, 
418, 
419, 
420, 
421, 
422, 
423, 
424, 
425, 
426, 
427, 
428, 
429, 
430, 
431, 
432, 
434, 
435, 
436, 
437, 
438, 
440, 
441, 
442, 
443, 
446, 
448, 
449, 
450, 
451, 
453, 
454, 
455, 
456, 
457, 
458, 
460, 
461, 
463, 
464, 
465, 
466, 
467, 
503, 
505, 
506, 
507, 
509, 
513, 
514, 
515, 
516, 
517, 
518, 
519, 
523, 
524, 
525, 
527, 
529, 
530, 
532, 
533, 
534, 
536, 
602, 
604, 
605, 
606, 
608, 
609, 
612, 
614, 
615, 
616, 
617, 
618, 
619, 
701, 
703, 
708, 
712, 
713, 
715, 
719, 
720, 
721, 
725, 
727, 
730, 
731, 
732, 
998), 
labels=c("Albania", 
"Andorra", 
"Austria", 
"Belgio", 
"Bulgaria", 
"Danimarca", 
"Finlandia", 
"Francia", 
"Germania", 
"Regno Unito", 
"Grecia", 
"Irlanda", 
"Islanda", 
"Liechtenstein", 
"Lussemburgo", 
"Malta", 
"Monaco", 
"Norvegia", 
"Paesi Bassi", 
"Polonia", 
"Portogallo", 
"Romania", 
"San Marino", 
"Spagna", 
"Svezia", 
"Svizzera", 
"Ucraina", 
"Ungheria", 
"Russa, Federazione", 
"Stato della Citt del Vaticano", 
"Estonia", 
"Lettonia", 
"Lituania", 
"Croazia", 
"Slovenia", 
"Bosnia-Erzegovina", 
"Macedonia, Repubblica di", 
"Moldova", 
"Slovacchia", 
"Bielorussia", 
"Ceca, Repubblica", 
"Montenegro", 
"Serbia, Repubblica di", 
"Kosovo", 
"Afghanistan", 
"Arabia Saudita", 
"Bahrein", 
"Bangladesh", 
"Bhutan", 
"Myanmar (ex Birmania)", 
"Brunei", 
"Cambogia", 
"Sri Lanka (ex Ceylon)", 
"Cinese, Repubblica Popolare", 
"Cipro", 
"Corea, Repubblica Popolare Democratica (Corea del Nord)", 
"Corea, Repubblica (Corea del Sud)", 
"Emirati Arabi Uniti", 
"Filippine", 
"Territori dell'Autonomia Palestinese", 
"Giappone", 
"Giordania", 
"India", 
"Indonesia", 
"Iran, Repubblica Islamica del", 
"Iraq", 
"Israele", 
"Kuwait", 
"Laos", 
"Libano", 
"Timor Orientale", 
"Maldive", 
"Malaysia", 
"Mongolia", 
"Nepal", 
"Oman", 
"Pakistan", 
"Qatar", 
"Singapore", 
"Siria", 
"Thailandia", 
"Turchia", 
"Vietnam", 
"Yemen", 
"Kazakhstan", 
"Uzbekistan", 
"Armenia", 
"Azerbaigian", 
"Georgia", 
"Kirghizistan", 
"Tagikistan", 
"Taiwan (ex Formosa)", 
"Turkmenistan", 
"Algeria", 
"Angola", 
"Costa d'Avorio", 
"Benin (ex Dahomey)", 
"Botswana", 
"Burkina Faso (ex Alto Volta)", 
"Burundi", 
"Camerun", 
"Capo Verde", 
"Centrafricana, Repubblica", 
"Ciad", 
"Comore", 
"Congo (Repubblica del)", 
"Egitto", 
"Etiopia", 
"Gabon", 
"Gambia", 
"Ghana", 
"Gibuti", 
"Guinea", 
"Guinea Bissau", 
"Guinea Equatoriale", 
"Kenya", 
"Lesotho", 
"Liberia", 
"Libia", 
"Madagascar", 
"Malawi", 
"Mali", 
"Marocco", 
"Mauritania", 
"Mauritius", 
"Mozambico", 
"Namibia", 
"Niger", 
"Nigeria", 
"Ruanda", 
"So Tom e Principe", 
"Seychelles", 
"Senegal", 
"Sierra Leone", 
"Somalia", 
"Sud Africa", 
"Sudan", 
"Swaziland", 
"Tanzania", 
"Togo", 
"Tunisia", 
"Uganda", 
"Congo, Repubblica democratica del (ex Zaire)", 
"Zambia", 
"Zimbabwe (ex Rhodesia)", 
"Eritrea", 
"Sud Sudan, Repubblica del", 
"Antigua e Barbuda", 
"Bahamas", 
"Barbados", 
"Belize", 
"Canada", 
"Costa Rica", 
"Cuba", 
"Dominica", 
"Dominicana, Repubblica", 
"El Salvador", 
"Giamaica", 
"Grenada", 
"Guatemala", 
"Haiti", 
"Honduras", 
"Messico", 
"Nicaragua", 
"Panama", 
"Saint Lucia", 
"Saint Vincent e Grenadine", 
"Saint Kitts e Nevis", 
"Stati Uniti d'America", 
"Argentina", 
"Bolivia", 
"Brasile", 
"Cile", 
"Colombia", 
"Ecuador", 
"Guyana", 
"Paraguay", 
"Per", 
"Suriname", 
"Trinidad e Tobago", 
"Uruguay", 
"Venezuela", 
"Australia", 
"Figi", 
"Kiribati", 
"Marshall, Isole", 
"Micronesia, Stati Federati", 
"Nauru", 
"Nuova Zelanda", 
"Palau", 
"Papua Nuova Guinea", 
"Salomone, Isole", 
"Samoa", 
"Tonga", 
"Tuvalu", 
"Vanuatu", 
"Stato non definito")) 


L4_17A_Fact <- factor(DF_InsProLau_A2015$L4_17A, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


L4_17B_Fact <- factor(DF_InsProLau_A2015$L4_17B, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


L4_17C_Fact <- factor(DF_InsProLau_A2015$L4_17C, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


L4_17D_Fact <- factor(DF_InsProLau_A2015$L4_17D, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


L4_17E_Fact <- factor(DF_InsProLau_A2015$L4_17E, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


L4_17F_Fact <- factor(DF_InsProLau_A2015$L4_17F, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


L4_17G_Fact <- factor(DF_InsProLau_A2015$L4_17G, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


L4_17H_Fact <- factor(DF_InsProLau_A2015$L4_17H, 
levels=c(1, 
2, 
3, 
4), 
labels=c("Molto", 
"Abbastanza", 
"Poco", 
"Per niente")) 


L5_1_MFR_Fact <- factor(DF_InsProLau_A2015$L5_1_MFR, 
levels=c(1, 
2, 
3), 
labels=c("Celibe/Nubile", 
"Coniugato/a", 
"Separato/a legalmente, divorziato/a, vedovo/a")) 


L5_2_Fact <- factor(DF_InsProLau_A2015$L5_2, 
levels=c(1, 
2), 
labels=c("si", 
"no")) 


L5_3_Fact <- factor(DF_InsProLau_A2015$L5_3, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7, 
8), 
labels=c("Sto ancora studiando", 
"Sto bene cos, conservo comunque la mia libert", 
"Ho pensato alla possibilit di andarmene, ma ancora non me la sento ", 
"Se me ne andassi dovrei rinunciare a troppe cose", 
"Non trovo un lavoro/un lavoro stabile", 
"Non posso sostenere le spese di un affitto o dellacquisto di una casa", 
"I miei genitori se ne dispiacerebbero", 
"I miei genitori hanno bisogno di me (sono anziani, hanno problemi di salute, ecc.)")) 


L5_4_Fact <- factor(DF_InsProLau_A2015$L5_4, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Licenza elementare o nessun titolo", 
"Licenza media (o avviamento professionale)", 
"Diploma (o qualifica) di scuola superiore", 
"Diploma universitario, diploma post-secondario", 
"Laurea o post-laurea (dottorato, master, specializzazione)", 
"Non so")) 


L5_5_Fact <- factor(DF_InsProLau_A2015$L5_5, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Occupato", 
"In cerca di occupazione", 
"Ritirato dal lavoro", 
"In altra condizione", 
"Deceduto", 
"Non so")) 


L5_6_Fact <- factor(DF_InsProLau_A2015$L5_6, 
levels=c(1, 
2, 
3), 
labels=c("Lavoratore dipendente", 
"Lavoratore autonomo", 
"Non so")) 


L5_7_Fact <- factor(DF_InsProLau_A2015$L5_7, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Imprenditore", 
"Libero professionista", 
"Lavoratore in proprio (commerciante, artigiano, coltivatore diretto ecc.)", 
"Coadiuvante nellazienda di un familiare prevalentemente nella direzione dellazienda", 
"Coadiuvante nellazienda di un familiare prevalentemente nel lavoro manuale e nelle altre attivit", 
"Socio di cooperativa, impegnato prevalentemente nella direzione", 
"Socio di cooperativa, impegnato prevalentemente nella produzione di beni/servizi o nelle attivit amministrative   ")) 


L5_8_Fact <- factor(DF_InsProLau_A2015$L5_8, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Dirigente (direttore generale di azienda, professore universitario ecc.)", 
"Quadro, funzionario (insegnante di scuola materna, elementare, media inferiore o superiore,  ufficiale delle Forze Armate ecc.)", 
"Impiegato ad alta/media qualificazione (analista di dati, geometra e perito tecnico, capo segreteria,  infermiere professionale, contabile, archivista, sottufficiale delle Forze Armate ecc.)", 
"Impiegato esecutivo (addetto allo sportello, telefonista, segretario, commesso di negozio, militare di carriera delle Forze Armate di grado inferiore a sottufficiale ecc.)", 
"Operaio specializzato (capo operaio, conduttore di macchinari ecc.)", 
"Operaio semplice (colf, usciere, portiere, facchino, bracciante agricolo ecc.)")) 


L5_9_Fact <- factor(DF_InsProLau_A2015$L5_9, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Licenza elementare o nessun titolo", 
"Licenza media (o avviamento professionale)", 
"Diploma (o qualifica) di scuola superiore", 
"Diploma universitario, diploma post-secondario", 
"Laurea o post-laurea (dottorato, master, specializzazione)", 
"Non so")) 


L5_10_Fact <- factor(DF_InsProLau_A2015$L5_10, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Occupata", 
"In cerca di occupazione", 
"Casalinga", 
"Ritirata dal lavoro", 
"In altra condizione", 
"Deceduta", 
"Non so")) 


L5_11_Fact <- factor(DF_InsProLau_A2015$L5_11, 
levels=c(1, 
2, 
3), 
labels=c("Lavoratrice dipendente", 
"Lavoratrice autonoma", 
"Non so")) 


L5_12_Fact <- factor(DF_InsProLau_A2015$L5_12, 
levels=c(1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("Imprenditrice", 
"Libera professionista", 
"Lavoratrice in proprio (commerciante, sarta, coltivatrice diretta ecc.)", 
"Coadiuvante nellazienda di un familiare prevalentemente nella direzione dellazienda", 
"Coadiuvante nellazienda di un familiare prevalentemente nel lavoro manuale e nelle altre attivit", 
"Socia di cooperativa, impegnato prevalentemente nella direzione", 
"Socia di cooperativa, impegnato prevalentemente nella produzione di beni/servizi o nelle attivit amministrative")) 


L5_13_Fact <- factor(DF_InsProLau_A2015$L5_13, 
levels=c(1, 
2, 
3, 
4, 
5, 
6), 
labels=c("Dirigente (direttore generale di azienda, professoressa universitario ecc.)", 
"Quadro, funzionaria (insegnante di scuola materna, elementare, media inferiore o superiore ecc.)", 
"Impiegata ad alta/media qualificazione (infermiera professionale, contabile, archivista, capo segreteria ecc.)", 
"Impiegata esecutiva (addetta allo sportello, telefonista, segretaria, commessa di negozio ecc.)", 
"Operaia specializzata (capo operaia, conduttrice di macchinari ecc.)", 
"Operaia semplice (colf, bidella, portiera, bracciante agricola ecc.)")) 

save.image (file="DF_InsProLau_A2015.RData")
