/*     LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di  sorta.    */
/*  I valori delle label nelle variabili categoriche sono commentati a causa della presenza di codici non esclusivamente numerici. Comunque sono completamente documentati.  */
clear all
infile  using  PGM_2015_IT_DELIMITED.dct, clear
/*
label define  cod_uni_mfr_cl1 00101   "Torino - Universit degli studi" 00102   "Torino - Politecnico" 00201   "Vercelli - Universit degli studi del Piemonte orientale A. Avogadro" 00701   "Aosta - Universit degli studi" 01001   "Genova - Universit degli studi" 01201   "Castellanza - Universit Carlo Cattaneo (LIUC)" 01202   "Varese - Universit dell'Insubria" 01301   "Novedrate (CO) - Universit telematica e-Campus" 01501   "Milano - Universit degli studi" 01502   "Milano - Politecnico" 01503   "Milano - Universit commerciale Luigi Bocconi" 01504   "Milano - Universit Cattolica del Sacro Cuore" 01505   "Milano - Libera Universit di Lingue e Comunicazione (IULM)" 01508   "Milano - Universit Vita-Salute San Raffaele" 01509   "Milano-Bicocca - Universit degli studi" 01601   "Bergamo - Universit degli studi" 01701   "Brescia - Universit degli studi" 01801   "Pavia - Universit degli studi" 01802   "Pavia - Istituto Universitario di Studi Superiori" 02101   "Bolzano - Libera Universit" 02201   "Trento - Universit degli studi" 02301   "Verona - Universit degli studi" 02701   "Venezia - Universit degli studi C Foscari" 02702   "Venezia - Istituto Universitario di Architettura Iuav" 02801   "Padova - Universit degli studi" 03001   "Udine - Universit degli studi" 03201   "Trieste - Universit degli studi" 03202   "Trieste - Scuola Internazionale Superiore di Studi Avanzati" 03401   "Parma - Universit degli studi" 03601   "Reggio Emilia - Sede dell'Universit di Modena e Reggio Emilia" 03701   "Bologna - Universit degli studi" 03801   "Ferrara - Universit degli studi" 04101   "Urbino - Universit degli studi" 04201   "Ancona - Universit Politecnica delle Marche" 04301   "Macerata - Universit degli studi" 04302   "Camerino - Universit degli studi" 04601   "Lucca - Scuola IMT Alti Studi" 04801   "Firenze - Universit degli studi" 04803   "Firenze - Istituto Italiano di Scienze Umane" 05001   "Pisa - Universit degli studi" 05002   "Pisa - Scuola Normale Superiore" 05003   "Pisa - Scuola Superiore di Studi Universitari e Perfezionamento S. Anna" 05201   "Siena - Universit degli studi" 05202   "Siena - Universit per stranieri" 05401   "Perugia - Universit degli studi" 05403   "Perugia - Universit per stranieri" 05601   "Viterbo - Universit della Tuscia" 05801   "Roma - Universit degli studi La Sapienza" 05802   "Roma - Universit degli studi di Tor Vergata" 05803   "Roma - Libera Universit Maria SS.Assunta (LUMSA)" 05805   "Roma - Libera Universit internazionale degli studi sociali Guido Carli (LUISS)" 05806   "Roma - Universit degli studi del Foro Italico" 05807   "Roma - Universit degli studi Roma Tre" 05808   "Roma - Universit Campus Bio-Medico" 05809   "Roma - Libera Universit degli Studi Per l'Innovazione e le Organizzazioni (ex Libera Universit San Pio V di Roma)" 05810   "Roma - Universit telematica Guglielmo Marconi" 05814   "Roma - Universit telematica Niccol Cusano" 05816   "Roma - Universit telematica Unitelma Sapienza" 06001   "Cassino - Universit degli studi" 06201   "Benevento - Universit degli studi del Sannio" 06202   "Benevento - Universita telematica Giustino Fortunato" 06301   "Napoli - Universit degli studi Federico II" 06302   "Napoli - Universit degli studi Parthenope" 06303   "Napoli - Universit degli studi L' Orientale" 06304   "Napoli - Istituto Universitario Suor Orsola Benincasa" 06306   "Napoli - Seconda Universit degli studi" 06307   "Napoli - Universita telematica Pegaso" 06501   "Salerno - Universit degli studi" 06601   "LAquila - Universit degli studi" 06701   "Teramo - Universit degli studi" 06901   "Chieti - Universit degli studi Gabriele DAnnunzio" 07001   "Campobasso - Universit degli studi del Molise" 07101   "Foggia - Universit degli studi" 07201   "Bari - Universit degli studi" 07202   "Bari - Politecnico" 07501   "Lecce - Universit del Salento" 07601   "Potenza - Universit degli studi della Basilicata" 07801   "Arcavacata di Rende - Universit degli studi della Calabria" 07901   "Catanzaro - Universit degli studi Magna Grecia" 08001   "Reggio Calabria - Universit degli studi Mediterranea" 08201   "Palermo - Universit degli studi" 08301   "Messina - Universit degli studi" 08601   "Enna - Universit degli studi KORE" 08701   "Catania - Universit degli studi" 09001   "Sassari - Universit degli studi" 09201   "Cagliari - Universit degli studi" 99999   "Altro ateneo"  
label define  tiplau_cl2 1   "A ciclo unico/vecchio ordinamento" 2   "Specialistica" 3   "Triennale"  
label define  subpop_cl3 0   "Triennali che prima del 2011 hanno conseguito una laurea specialistica o ciclo unico" 1   "Triennali che prima del 2011 non hanno conseguito nessuna laurea specialistica o ciclo unico e dopo il 2011 non si sono iscritti o non hanno conseguito alcuna laurea lunga" 2   "Triennali che prima del 2011 non hanno conseguito nessuna laurea specialistica o ciclo unico e dopo il 2011 hanno conseguito una laurea lunga" 3   "Triennali che prima del 2011 non hanno conseguito nessuna laurea specialistica o ciclo unico e dopo il 2011 si sono iscritti ma non hanno conseguito una laurea lunga" 4   "Triennali che prima del 2011 non hanno conseguito nessuna laurea specialistica o ciclo unico e dopo il 2011 hanno interrotto una laurea lunga" 5   "Lunghi che prima del 2011 non hanno conseguito nessuna laurea specialistica o ciclo unico e dopo il 2011 non si sono iscritti o non hanno conseguito dottorato o specializzazione" 6   "Lunghi che prima del 2011 non hanno conseguito nessuna laurea specialistica o ciclo unico e dopo il 2011 hanno conseguito un dottorato o una specializzazione" 7   "Lunghi che prima del 2011 non hanno conseguito nessuna laurea specialistica o ciclo unico e dopo il 2011 si iscrivono a un dottorato o una specializzazione" 8   "Lunghi che prima del 2011 non hanno conseguito nessuna laurea specialistica o ciclo unico e dopo il 2011  hanno interrotto un dottorato o una specializzazione" 9   "Lunghi che prima del 2011 hanno conseguito una laurea specialistica o ciclo unico"  
label define  gruppo_cl4 1   "Scientifico" 2   "Chimico-farmaceutico" 3   "Geo-biologico" 4   "Medico" 5   "Ingegneria" 6   "Architettura" 7   "Agrario" 8   "Economico-statistico" 9   "Politico-sociale" 10   "Giuridico" 11   "Letterario" 12   "Linguistico" 13   "Insegnamento" 14   "Psicologico" 15   "Educazione fisica" 16   "Difesa e sicurezza"  
label define  classelau_mfr_cl5 L01   "Biotecnologie" L02   "Scienze dei servizi giuridici" L03   "Scienze della mediazione linguistica" L04   "Scienze dell'architettura e dell'ingegneria edile" L05   "Lettere" L06   "Scienze del servizio sociale" L07   "Urbanistica e scienze della pianificazione territoriale e ambientale" L08   "Ingegneria civile e ambientale" L09   "Ingegneria dell'informazione" L10   "Ingegneria industriale" L11   "Lingue e culture moderne" L12   "Scienze biologiche" L13   "Scienze dei beni culturali" L14   "Scienze della comunicazione" L15   "Scienze politiche e delle relazioni internazionali" L16   "Scienze della Terra" L17   "Scienze dell'economia e della gestione aziendale" L18   "Scienze dell'educazione e della formazione" L19   "Scienze dell'amministrazione" L20   "Scienze e tecnologie agrarie, agroalimentari e forestali" L21   "Scienze e tecnologie chimiche" L22   "Scienze e tecnologie della navigazione marittima e aerea" L23   "Scienze e tecnologie delle arti figurative, della musica, dello spettacolo e della moda" L24   "Scienze e tecnologie farmaceutiche" L25   "Scienze e tecnologie fisiche" L26   "Scienze e tecnologie informatiche" L27   "Scienze e tecnologie per l'ambiente e la natura" L28   "Scienze economiche" L29   "Filosofia" L30   "Scienze geografiche" L31   "Scienze giuridiche" L32   "Scienze matematiche" L33   "Scienze delle attivit motorie e sportive" L34   "Scienze e tecniche psicologiche" L35   "Scienze sociali per la cooperazione, lo sviluppo e la pace" L36   "Scienze sociologiche" L37   "Scienze statistiche" L38   "Scienze storiche" L39   "Scienze del turismo" L40   "Scienze e tecnologie zootecniche e delle produzioni animali" L41   "Tecnologie per la conservazione e il restauro dei beni culturali" L42   "Disegno industriale" S01   "Fisica- Scienze dell'universo" S02   "Informatica- Informatica per le discipline umanistiche" S03   "Matematica" S04   "Altre classi delle lauree specialistiche del gruppo scientifico" S05   "Scienze chimiche- Scienze e tecnologie della chimica industriale" S06   "Biologia" S07   "Biotecnologie mediche, veterinarie e farmaceutiche" S08   "Biotecnologie industriali- Biotecnologie agrarie" S09   "Altre classi delle lauree specialistiche del gruppo geo-biologico" S10   "Classe delle lauree specialistiche nelle scienze infermieristiche e ostetriche" S11   "Classe delle lauree specialistiche nelle scienze delle professioni sanitarie della riabilitazione" S12   "Altre classi delle lauree specialistiche del gruppo medico" S13   "Ingegneria gestionale" S14   "Ingegneria informatica" S15   "Ingegneria meccanica" S16   "Ingegneria elettronica- Ingegneria elettrica" S17   "Ingegneria delle telecomunicazioni" S18   "Ingegneria civile" S19   "Ingegneria per l'ambiente e il territorio" S20   "Ingegneria biomedica" S21   "Ingegneria aerospaziale e astronautica" S22   "Altre classi delle lauree specialistiche del gruppo ingegneria" S23   "Architettura e ingegneria edile" S24   "Altre classi delle lauree specialistiche del gruppo architettura" S25   "Scienze e tecnologie agrarie- Scienze e tecnologie agroalimentari" S26   "Scienze e gestione delle risorse rurali e forestali- Scienze e tecnologie agrozootecniche" S27   "Scienze economico-aziendali" S28   "Scienze dell'economia" S29   "Statistica per la ricerca sperimentale- Statistica economica, finanziaria ed attuariale- Statistica demografica e sociale- Metodi per l'analisi valutativa dei sistemi complessi" S30   "Altre classi delle lauree specialistiche del gruppo economico-statistico" S31   "Relazioni internazionali" S32   "Programmazione e gestione delle politiche e dei servizi sociali" S33   "Editoria, comunicazione multimediale e giornalismo" S34   "Scienze della comunicazione sociale e istituzionale- Pubblicit e comunicazione d'impresa" S36   "Scienze delle pubbliche amministrazioni" S37   "Scienze della politica" S38   "Sociologia" S39   "Teoria della comunicazione- Tecniche e metodi per la societ dell'informazione" S40   "Altre classi delle lauree specialistiche del gruppo politico-sociale" S41   "Giurisprudenza- Teoria e tecniche della normazione e dell'informazione giuridica" S42   "Lingua e cultura italiana- Filologia moderna- Filologia e letterature dell'antichit" S43   "Scienze dello spettacolo e della produzione multimediale" S44   "Storia dell'arte" S45   "Storia della filosofia- Filosofia teoretica, morale, politica ed estetica- Filosofia e storia della scienza" S46   "Storia moderna- Storia medievale- Storia contemporanea- Storia antica" S47   "Altre classi delle lauree specialistiche del gruppo letterario" S48   "Lingue straniere per la comunicazione internazionale" S49   "Lingue e letterature moderne euroamericane" S50   "Altre classi delle lauree specialistiche del gruppo linguistico" S51   "Scienze pedagogiche" S52   "Scienze dell'educazione degli adulti e della formazione continua- Programmazione e gestione dei servizi educativi e formativi" S53   "Psicologia- Scienze cognitive" S54   "Scienze e tecnica dello sport- Scienze e tecniche delle attivit motorie preventive e adattative- Organizzazione e gestione dei servizi per lo sport e le attivit motorie" S55   "Scienze della difesa e della sicurezza" S56   "Scienze della natura" U01   "Matematica" U02   "Fisica" U03   "Scienze dell informazione" U05   "Chimica industriale" U07   "Farmacia" U08   "Chimica e tecnologia farmaceutiche" U09   "Scienze geologiche" U10   "Scienze naturali" U11   "Scienze biologiche" U13   "Medicina e chirurgia" U15   "Ingegneria meccanica" U16   "Ingegneria elettrotecnica" U20   "Ingegneria edile" U21   "Ingegneria informatica" U23   "Ingegneria gestionale" U24   "Ingegneria per ambiente e il territorio" U25   "Ingegneria nucleare" U26   "Architettura" U27   "Storia e conservazione dei beni architettonici e ambientali" U29   "Scienze forestali ed ambientali" U30   "Medicina veterinaria" U32   "Scienze e tecnologie delle produzioni animali" U34   "Economia e commercio" U39   "Economia aziendale" U43   "Statistica e informatica per azienda" U44   "Scienze politiche" U45   "Sociologia" U47   "Scienze della comunicazione" U48   "Giurisprudenza" U50   "Materie letterarie" U51   "Filosofia" U52   "Musicologia" U54   "Storia e conservazione dei beni culturali" U55   "Studi comparatistici" U57   "Lingue e letterature straniere" U61   "Scienze dell educazione" U62   "Psicologia" U63   "Scienze ambientali" U64   "Odontoiatria e protesi dentaria" U65   "Servizio sociale" U66   "Scienze strategiche" U67   "Traduzione ed interpretazione" U68   "Scienze motorie" LDS1   "Scienze della difesa e della sicurezza" LSNT1   "Professioni sanitarie, infermieristiiche e professione sanitaria ostetrica" LSNT2   "Professioni sanitarie della riabilitazione" LSNT3   "Professioni sanitarie tecniche" LSNT4   "Professioni sanitarie della prevenzione"  
label define  sesso_cl6 1   "Uomo" 2   "Donna"  
label define  citt_mfr_cl7 0   "Estera / apolide" 1   "Italiana"  
label define  l1_1_cl8 1   "Liceo classico" 2   "Liceo scientifico" 3   "Liceo linguistico" 4   "Liceo socio-psico-pedagogico (ex Istruzione magistrale)" 5   "Liceo artistico e istituto d'arte" 6   "Istituto tecnico (geometra, industriale, commerciale, nautico, per il turismo, agrario ecc.)" 7   "Istituto professionale (industriale, commerciale, agrario, femminile ecc.)" 8   "Scuola straniera non classificabile nelle precedenti modalit"  
label define  l1_2_cl9 1   "In Italia" 2   "All'estero"  
label define  voto_diploma_all_cl10 1   "Sufficiente [60-75]" 2   "Buono [76-95]" 3   "Ottimo [96-101]"  
label define  eta_laurea_mfr_cl12 1   "Et alla laurea minore o uguale a 22 anni" 2   "Et alla laurea tra 23 e 24 anni" 3   "Et alla laurea tra 25 e 29 anni" 4   "Et alla laurea maggiore o uguale a 30 anni"  
label define  prov_o_est_prima_mfr_cl13 001   "Torino" 002   "Vercelli" 003   "Novara" 004   "Cuneo" 005   "Asti" 006   "Alessandria" 007   "Valle d'Aosta/Valle d'Aoste" 008   "Imperia" 009   "Savona" 010   "Genova" 011   "La Spezia" 012   "Varese" 013   "Como" 014   "Sondrio" 015   "Milano" 016   "Bergamo" 017   "Brescia" 018   "Pavia" 019   "Cremona" 020   "Mantova" 021   "Bolzano/Bozen" 022   "Trento" 023   "Verona" 024   "Vicenza" 025   "Belluno" 026   "Treviso" 027   "Venezia" 028   "Padova" 029   "Rovigo" 030   "Udine" 031   "Gorizia" 032   "Trieste" 033   "Piacenza" 034   "Parma" 035   "Reggio nell'Emilia" 036   "Modena" 037   "Bologna" 038   "Ferrara" 039   "Ravenna" 040   "Forl-Cesena" 041   "Pesaro e Urbino" 042   "Ancona" 043   "Macerata" 044   "Ascoli Piceno" 045   "Massa-Carrara" 046   "Lucca" 047   "Pistoia" 048   "Firenze" 049   "Livorno" 050   "Pisa" 051   "Arezzo" 052   "Siena" 053   "Grosseto" 054   "Perugia" 055   "Terni" 056   "Viterbo" 057   "Rieti" 058   "Roma" 059   "Latina" 060   "Frosinone" 061   "Caserta" 062   "Benevento" 063   "Napoli" 064   "Avellino" 065   "Salerno" 066   "L'Aquila" 067   "Teramo" 068   "Pescara" 069   "Chieti" 070   "Campobasso" 071   "Foggia" 072   "Bari" 073   "Taranto" 074   "Brindisi" 075   "Lecce" 076   "Potenza" 077   "Matera" 078   "Cosenza" 079   "Catanzaro" 080   "Reggio di Calabria" 081   "Trapani" 082   "Palermo" 083   "Messina" 084   "Agrigento" 085   "Caltanissetta" 086   "Enna" 087   "Catania" 088   "Ragusa" 089   "Siracusa" 090   "Sassari" 091   "Nuoro" 092   "Cagliari" 093   "Pordenone" 094   "Isernia" 095   "Oristano" 096   "Biella" 097   "Lecco" 098   "Lodi" 099   "Rimini" 100   "Prato" 101   "Crotone" 102   "Vibo Valentia" 103   "Verbano-Cusio-Ossola" 104   "Olbia-Tempio" 105   "Ogliastra" 106   "Medio Campidano" 107   "Carbonia-Iglesias" 108   "Monza e della Brianza" 109   "Fermo" 110   "Barletta-Andria-Trani" 999   "Estero"  
label define  reg_prima_cl14 1   "Piemonte" 2   "Valle d'Aosta" 3   "Lombardia" 4   "Trentino-Alto Adige" 5   "Veneto" 6   "Friuli-Venezia Giulia" 7   "Liguria" 8   "Emilia-Romagna" 9   "Toscana" 10   "Umbria" 11   "Marche" 12   "Lazio" 13   "Abruzzo" 14   "Molise" 15   "Campania" 16   "Puglia" 17   "Basilicata" 18   "Calabria" 19   "Sicilia" 20   "Sardegna" 99   "Estero"  
label define  rip_prima_cl15 1   "Nord-ovest" 2   "Nord-est" 3   "Centro" 4   "Sud" 5   "Isole" 9   "Estero"  
label define  l1_7_cl16 1   "Una laurea triennale" 2   "Unaltra laurea specialistica, una laurea a ciclo unico (5-6 anni) o del vecchio ordinamento" 3   "Un diploma universitario o scuola diretta a fini speciali" 4   "Un altro titolo universitario (AFAM, Scuola Mediatori Linguistici ecc) " 5   "Un titolo conseguito allestero (universitario o non universitario)"  
label define  l1_8_mfr_cl17 101001   "Torino - Universit degli studi" 102001   "Torino - Politecnico" 201002   "Vercelli - Universit degli studi del Piemonte orientale A. Avogadro" 701007   "Aosta - Universit degli studi" 1001010   "Genova - Universit degli studi" 1201012   "Castellanza - Universit Carlo Cattaneo (LIUC)" 1202012   "Varese - Universit dell' Insubria" 1301013   "Novedrate (CO) - Universit telematica e-Campus" 1501015   "Milano - Universit degli studi" 1502015   "Milano - Politecnico" 1503015   "Milano - Universit commerciale Luigi Bocconi" 1504015   "Milano - Universit Cattolica del Sacro Cuore" 1505015   "Milano - Libera Universit di Lingue e Comunicazione (IULM)" 1508015   "Milano - Universit Vita-Salute San Raffaele" 1509015   "Milano-Bicocca - Universit degli studi" 1601016   "Bergamo - Universit degli studi" 1701017   "Brescia - Universit degli studi" 1801018   "Pavia - Universit degli studi" 1802018   "Pavia - Istituto Universitario di Studi Superiori" 2101021   "Bolzano - Libera Universit" 2201022   "Trento - Universit degli studi" 2301023   "Verona - Universit degli studi" 2701027   "Venezia - Universit degli studi C Foscari" 2702027   "Venezia - Istituto Universitario di Architettura Iuav" 2801028   "Padova - Universit degli studi" 3001030   "Udine - Universit degli studi" 3201032   "Trieste - Universit degli studi" 3202032   "Trieste - Scuola Internazionale Superiore di Studi Avanzati" 3401034   "Parma - Universit degli studi" 3601035   "Reggio Emilia - Sede dell'Universit di Modena e Reggio Emilia" 3701037   "Bologna - Universit degli studi" 3801038   "Ferrara - Universit degli studi" 4101041   "Urbino - Universit degli studi" 4201042   "Ancona - Universit Politecnica delle Marche" 4301043   "Macerata - Universit degli studi" 4302043   "Camerino - Universit degli studi" 4601046   "Lucca - Scuola IMT Alti Studi" 4801048   "Firenze - Universit degli studi" 4803048   "Firenze - Istituto Italiano di Scienze Umane" 5001050   "Pisa - Universit degli studi" 5002050   "Pisa - Scuola Normale Superiore" 5003050   "Pisa - Scuola Superiore di Studi Universitari e Perfezionamento S. Anna" 5201052   "Siena - Universit degli studi" 5202052   "Siena - Universit per stranieri" 5401054   "Perugia - Universit degli studi" 5403054   "Perugia - Universit per stranieri" 5601056   "Viterbo - Universit della Tuscia" 5801058   "Roma - Universit degli studi La Sapienza" 5802058   "Roma - Universit degli studi di Tor Vergata" 5803058   "Roma - Libera Universit Maria SS.Assunta (LUMSA)" 5805058   "Roma - Libera Universit internazionale degli studi sociali Guido Carli (LUISS)" 5806058   "Roma - Universit degli studi del Foro Italico" 5807058   "Roma - Universit degli studi Roma Tre" 5808058   "Roma - Universit Campus Bio-Medico" 5809058   "Roma - Libera Universit degli Studi Per l'Innovazione e le Organizzazioni (ex Libera Universit San Pio V di Roma)" 5810058   "Roma - Universit telematica Guglielmo Marconi" 5814058   "Roma - Universit telematica Niccol Cusano" 5816058   "Roma - Universit telematica Unitelma Sapienza" 6001060   "Cassino - Universit degli studi" 6201062   "Benevento - Universit degli studi del Sannio" 6202062   "Benevento - Universita telematica Giustino Fortunato" 6301063   "Napoli - Universit degli studi Federico II" 6302063   "Napoli - Universit degli studi Parthenope" 6303063   "Napoli - Universit degli studi L' Orientale" 6304063   "Napoli - Istituto Universitario Suor Orsola Benincasa" 6306063   "Napoli - Seconda Universit degli studi" 6307063   "Napoli - Universita telematica Pegaso" 6501065   "Salerno - Universit degli studi" 6601066   "LAquila - Universit degli studi" 6701067   "Teramo - Universit degli studi" 6901069   "Chieti - Universit degli studi Gabriele DAnnunzio" 7001070   "Campobasso - Universit degli studi del Molise" 7101071   "Foggia - Universit degli studi" 7201072   "Bari - Universit degli studi" 7202072   "Bari - Politecnico" 7501075   "Lecce - Universit del Salento" 7601076   "Potenza - Universit degli studi della Basilicata" 7801078   "Arcavacata di Rende - Universit degli studi della Calabria" 7901079   "Catanzaro - Universit degli studi Magna Grecia" 8001080   "Reggio Calabria - Universit degli studi Mediterranea" 8201082   "Palermo - Universit degli studi" 8301083   "Messina - Universit degli studi" 8601086   "Enna - Universit degli studi KORE" 8701087   "Catania - Universit degli studi" 9001090   "Sassari - Universit degli studi" 9201092   "Cagliari - Universit degli studi" 9999999   "Altro ateneo"  
label define  l1_11_cl18 1   "Agrario" 2   "Architettura" 3   "Chimico-farmaceutico" 4   "Difesa e sicurezza" 5   "Economico-statistico" 6   "Educazione fisica" 7   "Geo-biologico" 8   "Giuridico" 9   "Ingegneria" 10   "Insegnamento" 11   "Letterario" 12   "Linguistico" 13   "Medico" 14   "Politico-sociale" 15   "Psicologico" 16   "Scientifico"  
label define  l1_12_cl19 1   "laurea a ciclo unico o specialistica" 2   "laurea triennale" 3   "diploma universitario o di scuola diretta a fini  speciali" 4   "No"  
label define  l1_14_cl26 1   "S, solo per attivit formative e di studio (inclusi corsi universitari interrotti o conclusi) " 2   "S, solo per attivit lavorative" 3   "S, sia per attivit formative che lavorative" 4   "No"  
label define  l1_15_cl27 1   "con regolarit" 2   "saltuariamente" 3   "mai/quasi mai"  
label define  l1_16_cl28 1   "si" 2   "no"  
label define  l1_17_cl29 1   "si" 2   "no"  
label define  l1_18_mfr_cl30 901   "UE eccetto: Francia, Germania, Regno Unito, Spagna, Belgio, Italia" 902   "Francia" 903   "Germania" 904   "Regno Unito" 905   "Spagna" 906   "Svizzera" 907   "Belgio" 908   "USA" 909   "Resto del mondo" 998   "Stato non definito"  
label define  l1_19_cl31 1   "lavori occasionali o stagionali" 2   "lavori continuativi" 3   "non ho mai lavorato"  
label define  l1_20_cl32 1   "in corso" 2   "fuori corso"  
label define  l1_23_cl34 1   "per interesse verso la disciplina specifica" 2   "il corso garantiva buone prospettive lavorative" 3   "perch suggerito da familiari/amici" 4   "per seguire gli amici" 5   "perch suggerito dai professori di scuola secondaria" 6   "per ripiego (non ho superato i test di ingresso per il corso che mi interessava)" 7   "perch il diploma non offriva opportunit di lavoro" 8   "perch rappresentava lunica offerta didattica locale" 9   "perch rappresenta la prosecuzione naturale degli studi dopo la laurea triennale" 10   "perch la laurea triennale non offriva opportunit di lavoro" 11   "altro motivo (specificare)"  
label define  l1_25_cl35 1   "si" 2   "no"  
label define  l1_26_cl36 1   "sono insoddisfatto degli sbocchi professionali offerti da questa laurea" 2   "sono rimasto deluso dai contenuti del corso" 3   "sono rimasto deluso dalla gestione del corso (occasioni formative, disponibilit dei docenti)" 4   "la durata e/o l'impegno degli studi sono eccessivi" 5   "ho maturato nuovi interessi" 6   "altro motivo (specificare)"  
label define  l1_28_cl37 1   "si" 2   "no"  
label define  l1_29_cl38 1   "E' insoddisfatto degli sbocchi professionali offerti dalla laurea" 2   "Ha maturato nuovi interessi" 3   "E' rimasto deluso dallesperienza universitaria" 4   "Per cercare subito lavoro" 5   "Altro motivo (specificare)"  
label define  l1_31_cl39 1   "S" 2   "No, non era previsto" 3   "No, per altri motivi"  
label define  l1_32a_cl40 1   "S, sono attualmente iscritto " 2   "S, l'ho concluso" 3   "S, l'ho interrotto" 4   "No"  
label define  l1_32b_cl41 1   "S, la sto attualmente frequentando" 2   "S, l'ho conclusa" 3   "S, l'ho interrotta" 4   "No"  
label define  l1_32c_cl42 1   "S, sono attualmente iscritto " 2   "S, l'ho concluso" 3   "S, l'ho interrotto" 4   "No"  
label define  l1_32d_cl43 1   "S, sono attualmente iscritto " 2   "S, l'ho concluso" 3   "S, l'ho interrotto" 4   "No"  
label define  l1_32e_cl44 1   "S, sono attualmente iscritto " 2   "S, l'ho concluso" 3   "S, l'ho interrotto" 4   "No"  
label define  l1_33_cl45 1   "per approfondire lo studio della materia" 2   "per avere migliori opportunit di lavoro e carriera" 3   "per avere un  titolo superiore" 4   "per suggerimenti/ pressioni familiari" 5   "per tenermi impegnato in attesa di lavoro" 6   "perch rappresenta la prosecuzione naturale degli studi dopo la laurea triennale" 7   "altro motivo (specificare)"  
label define  l1_36a_cl46 1   "S, la sto attualmente frequentando" 2   "S, l'ho conclusa" 3   "S, l'ho interrotta" 4   "No"  
label define  l1_36b_cl47 1   "S, la sto attualmente frequentando" 2   "S, l'ho conclusa" 3   "S, l'ho interrotta" 4   "No"  
label define  l1_36c_cl48 1   "S, la sto attualmente frequentando" 2   "S, l'ho conclusa" 3   "S, l'ho interrotta" 4   "No"  
label define  l1_36d_cl49 1   "S, la sto attualmente frequentando" 2   "S, l'ho conclusa" 3   "S, l'ho interrotta" 4   "No"  
label define  l1_36e_cl50 1   "S, la sto attualmente frequentando" 2   "S, l'ho conclusa" 3   "S, l'ho interrotta" 4   "No"  
label define  l1_36f_cl51 1   "S, la sto attualmente frequentando" 2   "S, l'ho conclusa" 3   "S, l'ho interrotta" 4   "No"  
label define  l1_36g_cl52 1   "S, la sto attualmente frequentando" 2   "S, l'ho conclusa" 3   "S, l'ho interrotta" 4   "No"  
label define  l1_36h_cl53 1   "S, la sto attualmente frequentando" 2   "S, l'ho conclusa" 3   "S, l'ho interrotta" 4   "No"  
label define  l1_37_cl54 1   "si" 2   "no"  
label define  l1_38a_cl55 1   "si" 2   "no"  
label define  l1_38b_cl56 1   "si" 2   "no"  
label define  l1_38c_cl57 1   "si" 2   "no"  
label define  l1_38d_cl58 1   "si" 2   "no"  
label define  l1_38e_cl59 1   "si" 2   "no"  
label define  l1_38f_cl60 1   "si" 2   "no"  
label define  l1_38g_cl61 1   "si" 2   "no"  
label define  l1_38h_cl62 1   "si" 2   "no"  
label define  l1_39_cl63 1   "al dottorato di ricerca" 2   "alla specializzazione post-laurea" 3   "al master universitario" 4   "alla borsa di studio/lavoro" 5   "allo stage" 6   "al tirocinio e al praticantato" 7   "al corso di formazione professionale o di aggiornamento" 8   "all'attivit di studio o formazione"  
label define  l2_1_cl64 1   "si" 2   "no"  
label define  l2_2_cl65 1   "Sto per iniziare un lavoro" 2   "Sto studiando o sto per iniziare un'attivit formativa" 3   "Non trovo lavori che mi interessano" 4   "Non riesco a trovare un lavoro (retribuito) o ho appena perso il lavoro" 5   "Per motivi personali e/o familiari (salute, maternit, assistenza  familiari ecc.)" 6   "Sto aspettando gli esiti di passate azioni di ricerca" 7   "Non mi interessa/non ne ho bisogno" 8   "Altro motivo (specificare)"  
label define  l2_4_cl66 1   "si" 2   "no"  
label define  l2_5_cl67 1   "Attivit lavorativa" 2   "Dottorato di ricerca, specializzazione post-laurea, master extrauniversitario, borsa di studio o lavoro, stage, tirocinio o praticantato, corso di formazione o di aggiornamento, attivit di studio o f"  
label define  l2_6_cl68 1   "Lavoro alle dipendenze" 2   "Lavoro autonomo" 3   "Lavoro di collaborazione coordinata e continuativa (con o senza progetto)" 4   "Lavoro di prestazione dopera occasionale"  
label define  l2_7_cl69 1   "Imprenditore" 2   "Libero professionista" 3   "Lavoratore in proprio (titolare di piccola impresa, commerciante, artigiano, coltivatore diretto ecc.)" 4   "Coadiuvante nellazienda di un familiare" 5   "Socio di cooperativa"  
label define  l2_8_cl70 1   "Dirigente (direttore generale di azienda, dirigente di dipartimento ricerca e sviluppo ecc.)" 2   "Quadro, funzionario (insegnante di scuola materna, elementare, media inferiore o superiore, ufficiale delle Forze Armate ecc.)" 3   "Impiegato ad alta/media qualificazione (analista di dati, geometra e perito tecnico, capo segreteria, infermiere professionale, contabile, archivista, sottufficiale delle Forze Armate ecc.)" 4   "Impiegato esecutivo (addetto allo sportello, telefonista, segretario, commesso di negozio, militare di carriera delle Forze Armate di grado inferiore a sottufficiale ecc.)" 5   "Operaio (operaio comune, specializzato, capo operaio, colf, baby sitter, usciere, facchino ecc.)" 6   "Apprendista"  
label define  l2_9_cl71 1   "si" 2   "no"  
label define  l2_10_cl72 1   "Pubblica Amministrazione" 2   "Privato"  
label define  l2_11_cl73 1   "Agricoltura, caccia e pesca" 2   "Industria" 3   "Servizi (include universit)"  
label define  l2_12_cl74 1   "Estrazione di minerali, produzione e fornitura di energia elettrica, gas, acqua e gestione rifiuti" 2   "Fabbricazione di prodotti chimici, petrolchimici e farmaceutici" 3   "Fabbricazione di macchinari e apparecchiature meccaniche" 4   "Fabbricazione di apparecchiature elettriche, elettroniche e ottiche" 5   "Fabbricazione di mezzi di trasporto" 6   "Costruzioni" 7   "Produzione alimentare, tessile e abbigliamento" 8   "Altra attivit manifatturiera"  
label define  l2_13_cl75 1   "Commercio, riparazioni veicoli, alloggio e ristorazione (alberghi, ristoranti, pubblici esercizi ecc.)" 2   "Trasporto, magazzinaggio e servizi postali " 3   "Servizi di informazione e comunicazione (informatica, editoria, telecomunicazioni ecc.)" 4   "Alloggio e ristorazione" 5   "Attivit finanziarie e assicurative" 6   "Attivit professionali, scientifiche e tecniche (attivit legali e contabilit, studi architettura, ingegneria, pubblicit, ricerche di mercato, design, traduzione, veterinari ecc.)  " 7   "Pubblica Amministrazione e difesa (ministeri, regioni, enti locali, assicurazione  obbligatoria ecc.)" 8   "Istruzione (universit e scuole di ogni ordine e grado, pubbliche e private)" 9   "Sanit e assistenza sociale (ospedali, ASL, studi medici, assistenza sociale ecc.)" 10   "Organismi e organizzazioni extraterritoriali (ONU, CEE, Eurostat, FAO, Ambasciata, Consolato ecc.)" 11   "Altri servizi: attivit immobiliari, noleggio, agenzie viaggio, servizi alle imprese e alla persona, attivit culturali, sportive e artistiche, associazioni (cinema, musei,  reclutamento personale, vi"  
label define  prof_mfr_cl76 1   "Legislatori, imprenditori e alta dirigenza" 2   "Professioni intellettuali, scientifiche e di elevata specializzazione" 3   "Professioni tecniche" 4   "Professioni esecutive nel lavoro d'ufficio" 5   "Professioni qualificate nelle attivit commerciali e nei servizi" 6   "Artigiani, operai specializzati e agricoltori" 7   "Conduttori di impianti, operai di macchinari fissi e mobili e conducenti di veicoli" 8   "Professioni non qualificate" 9   "Forze armate" 1.1   "Membri dei corpi legislativi e di governo, dirigenti ed equiparati dell'amministrazione pubblica, nella magistratura, nei servizi di sanit, istruzione e ricerca e nelle organizzazioni di interesse na" 1.2   "Imprenditori, amministratori e direttori di grandi aziende" 1.3   "Imprenditori e responsabili di piccole aziende" 2.1   "Specialisti in scienze matematiche, informatiche, chimiche, fisiche e naturali" 2.2   "Ingegneri, architetti e professioni assimilate" 2.3   "Specialisti nelle scienze della vita" 2.4   "Specialisti della salute" 2.5   "Specialisti in scienze umane, sociali, artistiche e gestionali" 2.6   "Specialisti della formazione e della ricerca" 3.1   "Professioni tecniche in campo scientifico, ingegneristico e della produzione" 3.2   "Professioni tecniche nelle scienze della salute e della vita" 3.3   "Professioni tecniche nellorganizzazione, amministrazione e nelle attivit finanziarie e commerciali" 3.4   "Professioni tecniche nei servizi pubblici e alle persone" 4.1   "Impiegati addetti alle funzioni di segreteria e alle macchine da ufficio" 4.2   "Impiegati addetti ai movimenti di denaro e all'assistenza clienti" 4.3   "Impiegati addetti alla gestione amministrativa, contabile e finanziaria" 4.4   "Impiegati addetti alla raccolta, controllo, conservazione e recapito della documentazione" 5.1   "Professioni qualificate nelle attivit commerciali" 5.2   "Professioni qualificate nelle attivit ricettive e della ristorazione" 5.3   "Professioni qualificate nei servizi sanitari e sociali" 5.4   "Professioni qualificate nei servizi culturali, di sicurezza e alla persona" 6.1   "Artigiani e operai specializzati dell industria estrattiva, delledilizia e della manutenzione degli edifici" 6.2   "Artigiani ed operai metalmeccanici specializzati e installatori e manutentori di attrezzature elettriche ed elettroniche" 6.3   "Artigiani ed operai specializzati della meccanica di precisione, dell'artigianato artistico, della stampa ed assimilati" 6.4   "Agricoltori e operai specializzati dellagricoltura, delle foreste, della zootecnia, della pesca e della caccia" 6.5   "Artigiani e operai specializzati delle lavorazioni alimentari, del legno, del tessile, dell'abbigliamento, delle pelli, del cuoio e dell'industria dello spettacolo" 7.1   "Conduttori di impianti industriali" 7.2   "Operai semiqualificati di macchinari fissi per la lavorazione in serie e operai addetti al montaggio" 7.3   "Operatori di macchinari fissi in agricoltura e nella industria alimentare" 7.4   "Conduttori di veicoli, di macchinari mobili e di sollevamento" 8.1   "Professioni non qualificate nel commercio e nei servizi" 8.2   "Professioni non qualificate nelle attivit domestiche, ricreative e culturali" 8.3   "Professioni non qualificate nell'agricoltura, nella manutenzione del verde, nell'allevamento, nella silvicoltura e nella pesca" 8.4   "Professioni non qualificate nella manifattura, nell'estrazione di minerali e nelle costruzioni" 9.1   "Ufficiali delle forze armate" 9.2   "Sergenti, sovraintendenti e marescialli delle forze armate" 9.3   "Truppa delle forze armate"  
label define  l2_16_cl77 1   "Architettura" 2   "Ingegneria civile" 3   "Ingegneria dell'informazione" 4   "Ingegneria industriale" 5   "Scienze agrarie" 6   "Scienze biologiche" 7   "Scienze chimiche" 8   "Scienze della terra" 9   "Scienze dell'antichit e filologico-letterarie" 10   "Scienze delle attivit motorie e delle discipline sportive" 11   "Scienze economiche (aziendali)" 12   "Scienze economiche (socio-politiche)" 13   "Scienze filosofiche" 14   "Scienze fisiche" 15   "Scienze geografiche e demoetnoantropologiche" 16   "Scienze giuridiche" 17   "Scienze informatiche" 18   "Scienze matematiche" 19   "Scienze mediche" 20   "Scienze pedagogiche" 21   "Scienze politiche e sociali" 22   "Scienze psicologiche" 23   "Scienze statistiche" 24   "Scienze storiche" 25   "Scienze storico-artistiche" 26   "Scienze veterinarie" 27   "Altro"  
label define  l2_17_cl78 1   "A tempo indeterminato (senza una scadenza)" 2   "A termine (a tempo determinato)"  
label define  l2_18_cl79 1   "ho iniziato con un contratto a termine" 2   "fin dallinizio avevo un contratto senza scadenza"  
label define  l2_19_cl80 1   "Contratto di apprendistato, inserimento lavorativo o formazione lavoro (inquadrato in un CCNL)" 2   "Contratto di lavoro interinale o di somministrazione lavoro (inquadrato in un CCNL)" 3   "Altro tipo di contratto a termine (inclusi contratti esteri a termine)" 4   "Senza contratto, accordo verbale"  
label define  l2_20_cl81 1   "Per scelta" 2   "Non ho trovato un lavoro a tempo indeterminato"  
label define  l2_21_cl82 1   "Buone" 2   "Scarse" 3   "Non so"  
label define  l2_22_cl83 1   "A tempo pieno" 2   "Part-time (a tempo parziale)"  
label define  l2_23_cl84 1   "per interesse verso la disciplina specifica" 2   "il corso garantiva buone prospettive lavorative" 3   "perch suggerito da familiari/amici" 4   "per seguire gli amici" 5   "perch suggerito dai professori di scuola secondaria" 6   "per ripiego (non ho superato i test di ingresso per il corso che mi interessava)" 7   "perch il diploma non offriva opportunit di lavoro" 8   "perch rappresentava lunica offerta didattica locale" 9   "perch rappresenta la prosecuzione naturale degli studi dopo la laurea triennale" 10   "perch la laurea triennale non offriva opportunit di lavoro" 11   "altro motivo (specificare)"  
label define  prov_stato_lav_mfr_cl86 001   "Torino" 002   "Vercelli" 003   "Novara" 004   "Cuneo" 005   "Asti" 006   "Alessandria" 007   "Valle d'Aosta/Valle d'Aoste" 008   "Imperia" 009   "Savona" 010   "Genova" 011   "La Spezia" 012   "Varese" 013   "Como" 014   "Sondrio" 015   "Milano" 016   "Bergamo" 017   "Brescia" 018   "Pavia" 019   "Cremona" 020   "Mantova" 021   "Bolzano/Bozen" 022   "Trento" 023   "Verona" 024   "Vicenza" 025   "Belluno" 026   "Treviso" 027   "Venezia" 028   "Padova" 029   "Rovigo" 030   "Udine" 031   "Gorizia" 032   "Trieste" 033   "Piacenza" 034   "Parma" 035   "Reggio nell'Emilia" 036   "Modena" 037   "Bologna" 038   "Ferrara" 039   "Ravenna" 040   "Forl-Cesena" 041   "Pesaro e Urbino" 042   "Ancona" 043   "Macerata" 044   "Ascoli Piceno" 045   "Massa-Carrara" 046   "Lucca" 047   "Pistoia" 048   "Firenze" 049   "Livorno" 050   "Pisa" 051   "Arezzo" 052   "Siena" 053   "Grosseto" 054   "Perugia" 055   "Terni" 056   "Viterbo" 057   "Rieti" 058   "Roma" 059   "Latina" 060   "Frosinone" 061   "Caserta" 062   "Benevento" 063   "Napoli" 064   "Avellino" 065   "Salerno" 066   "L'Aquila" 067   "Teramo" 068   "Pescara" 069   "Chieti" 070   "Campobasso" 071   "Foggia" 072   "Bari" 073   "Taranto" 074   "Brindisi" 075   "Lecce" 076   "Potenza" 077   "Matera" 078   "Cosenza" 079   "Catanzaro" 080   "Reggio di Calabria" 081   "Trapani" 082   "Palermo" 083   "Messina" 084   "Agrigento" 085   "Caltanissetta" 086   "Enna" 087   "Catania" 088   "Ragusa" 089   "Siracusa" 090   "Sassari" 091   "Nuoro" 092   "Cagliari" 093   "Pordenone" 094   "Isernia" 095   "Oristano" 096   "Biella" 097   "Lecco" 098   "Lodi" 099   "Rimini" 100   "Prato" 101   "Crotone" 102   "Vibo Valentia" 103   "Verbano-Cusio-Ossola" 104   "Olbia-Tempio" 105   "Ogliastra" 106   "Medio Campidano" 107   "Carbonia-Iglesias" 108   "Monza e della Brianza" 109   "Fermo" 110   "Barletta-Andria-Trani" 901   "UE eccetto: Francia, Germania, Regno Unito, Spagna, Belgio, Italia" 902   "Francia" 903   "Germania" 904   "Regno Unito" 905   "Spagna" 906   "Svizzera" 907   "Belgio" 908   "USA" 909   "Resto del mondo" 998   "Stato non definito"  
label define  reg_lav_cl87 1   "Piemonte" 2   "Valle d'Aosta" 3   "Lombardia" 4   "Trentino-Alto Adige" 5   "Veneto" 6   "Friuli-Venezia Giulia" 7   "Liguria" 8   "Emilia-Romagna" 9   "Toscana" 10   "Umbria" 11   "Marche" 12   "Lazio" 13   "Abruzzo" 14   "Molise" 15   "Campania" 16   "Puglia" 17   "Basilicata" 18   "Calabria" 19   "Sicilia" 20   "Sardegna" 99   "Estero"  
label define  rip_lav_cl88 1   "Nord-ovest" 2   "Nord-est" 3   "Centro" 4   "Sud" 5   "Isole" 9   "Estero"  
label define  l2_29_cl89 1   "Prima" 2   "Dopo"  
label define  l2_30_cl90 1   "Prima" 2   "Dopo"  
label define  l2_31_cl91 1   "Prima" 2   "Dopo"  
label define  l2_44_cl92 1   "Concorso pubblico (comprese selezioni pubbliche)" 2   "Conoscenza diretta del datore di lavoro" 3   "Segnalazione a datore di lavoro da parte di familiari/amici/conoscenti" 4   "Segnalazione a datori di lavoro da parte dellUniversit/ centri di formazione" 5   "A seguito di uno stage o tirocinio presso azienda/ente" 6   "Chiamata diretta dellazienda/ente" 7   "Inserzioni sui giornali o su Internet" 8   "Invio di curriculum ai datori di lavoro (presentandosi di persona, presentando domande, telefonando ecc.) " 9   "Centro pubblico per l'impiego (ex Ufficio di collocamento)" 10   "Ho iniziato unattivit autonoma (da solo o con altri)" 11   "Agenzie private di collocamento o selezione del personale" 12   "Altro canale"  
label define  l2_45_cl93 1   "si" 2   "no"  
label define  l2_46_cl94 1   "Un genitore" 2   "Un fratello o una sorella" 3   "Un altro parente" 4   "Un'altra persona"  
label define  l2_47_cl95 1   "Mi ha aiutato nella preparazione alle prove di selezione" 2   "Mi ha dato un finanziamento iniziale" 3   "Mi ha messo a disposizione strutture o apparecchiature (comprende l'aver aperto un'attivit insieme)" 4   "Mi ha messo in contatto con il mio attuale datore di lavoro" 5   "Mi ha fornito informazioni che si sono rivelate decisive" 6   "Altro modo (specificare)"  
label define  l2_49_cl96 1   "si" 2   "no"  
label define  l2_50_cl97 1   "si" 2   "no"  
label define  l2_51_cl98 1   "S, era richiesta una laurea di qualsiasi tipo (triennale o specialistica o a ciclo unico) " 2   "S, era espressamente richiesta la laurea  a ciclo unico" 3   "S, era espressamente richiesta la laurea  specialistica" 4   "S, era espressamente richiesta la laurea  triennale" 5   "No, non era richiesta la laurea  ma  stata utile   " 6   "No, non era richiesta la laurea e non  stata utile"  
label define  l2_52_cl99 1   "si" 2   "no"  
label define  l2_53_cl100 1   "si" 2   "no"  
label define  l2_59_cl110 1   "si" 2   "no"  
label define  l2_60_cl111 1   "si" 2   "no"  
label define  l2_61_cl112 1   "si" 2   "no"  
label define  l2_62_cl113 1   "Avevo gi un lavoro/ero in attesa di un altro lavoro" 2   "Non mi piaceva quel tipo di lavoro" 3   "Il lavoro non mi garantiva stabilit o sicurezza" 4   "Non ero soddisfatto del trattamento economico" 5   "Per fruire di una borsa di studio o assegno di ricerca" 6   "La sede di lavoro era troppo distante" 7   "Avevo impegni familiari o personali" 8   "Avevo impegni di studio o di formazione" 9   "Altro motivo (specificare)"  
label define  l2_64_cl114 1   "Lavoro alle dipendenze a tempo indeterminato" 2   "Lavoro alle dipendenze a tempo determinato" 3   "Prestazione d'opera occasionale" 4   "Collaborazione coordinata e continuativa (con o senza progetto)" 5   "Lavoro autonomo" 6   "Borsa di studio o di ricerca" 7   "Assegno di ricerca"  
label define  l2_67_cl115 1   "Avevo trovato un altro lavoro" 2   "Era un lavoro a termine (borsa di studio ecc.)" 3   "Non mi piaceva quel tipo di lavoro" 4   "Non mi garantiva stabilit o sicurezza" 5   "Non ero soddisfatto del trattamento economico" 6   "Non ero soddisfatto delle possibilit di carriera" 7   "Avevo impegni familiari o personali" 8   "La sede di lavoro era troppo distante" 9   "Per licenziamento/chiusura attivit" 10   "Dovevo studiare o seguire un percorso formativo" 11   "Non venivo pagato regolarmente" 12   "Altro motivo (specificare)"  
label define  l2_69_cl116 1   "si" 2   "no"  
label define  l2_70_cl117 1   "si" 2   "no"  
label define  l2_71_cl118 1   "Lavoro alle dipendenze a tempo indeterminato" 2   "Lavoro alle dipendenze a tempo determinato" 3   "Lavoro autonomo" 4   "Prestazione d'opera occasionale" 5   "Collaborazione coordinata e continuativa (con o senza progetto)" 6   "Assegno di ricerca" 7   "Borsa di studio o ricerca"  
label define  l2_72_cl119 1   "In Italia" 2   "All'estero"  
label define  l3_1_cl120 1   "si" 2   "no"  
label define  l3_2_cl121 1   "Sto per iniziare un lavoro" 2   "Svolgo o sto per iniziare un'attivit formativa retribuita" 3   "Frequento un corso di studi (o di formazione professionale)" 4   "E molto difficile trovare lavoro" 5   "Sono in attesa dellesito di un concorso o di passate azioni di ricerca" 6   "Per maternit, nascita di un figlio               " 7   "Non mi interessa/non ne ho bisogno" 8   "Per motivi personali/familiari (salute, assistenza familiari ecc.)" 9   "Altro motivo (specificare)"  
label define  l3_3_cl122 1   "Cerco un lavoro a tempo indeterminato" 2   "Temo di perdere lattuale lavoro" 3   "Considero lattuale lavoro transitorio" 4   "Per guadagnare di pi" 5   "Per raggiungere pi facilmente il luogo di lavoro" 6   "Per avere un orario pi adatto alle mie esigenze" 7   "Cerco un lavoro pi qualificante e con maggiori prospettive di carriera" 8   "Cerco un secondo lavoro" 9   "Per motivi personali (salute, cura di figli/familiari)"  
label define  l3_4a_cl123 1   "si" 2   "no"  
label define  l3_4b_cl124 1   "si" 2   "no"  
label define  l3_4c_cl125 1   "si" 2   "no"  
label define  l3_4d_cl126 1   "si" 2   "no"  
label define  l3_4e_cl127 1   "si" 2   "no"  
label define  l3_4f_cl128 1   "si" 2   "no"  
label define  l3_4g_cl129 1   "si" 2   "no"  
label define  l3_4h_cl130 1   "si" 2   "no"  
label define  l3_4i_cl131 1   "si" 2   "no"  
label define  l3_6_cl132 1   "Negli ultimi trenta giorni" 2   "Da pi di un mese, ma da meno di sei mesi" 3   "Da sei mesi o pi" 4   "Non ho ancora preso alcuna iniziativa"  
label define  l3_7_cl133 1   "A tempo pieno" 2   "Part-time" 3   "Non ho preferenze"  
label define  l3_8_cl134 1   "Dipendente" 2   "Autonomo" 3   "Non ho preferenze"  
label define  l3_9_cl135 1   "Sia in Italia che all'estero" 2   "Solo in Italia" 3   "Solo all'estero"  
label define  l3_10_cl136 1   "S, ma solo nell'ambito della regione in cui vivo" 2   "S, anche fuori della regione in cui vivo" 3   "No"  
label define  l3_12_cl138 1   "S, potrei iniziarlo entro le prossime due settimane" 2   "No, dovrei rispettare i termini di preavviso allattuale datore di lavoro" 3   "No, dovrei rinviare per altri motivi"  
label define  prov_o_est_res_mfr_cl139 001   "Torino" 002   "Vercelli" 003   "Novara" 004   "Cuneo" 005   "Asti" 006   "Alessandria" 007   "Valle d'Aosta/Valle d'Aoste" 008   "Imperia" 009   "Savona" 010   "Genova" 011   "La Spezia" 012   "Varese" 013   "Como" 014   "Sondrio" 015   "Milano" 016   "Bergamo" 017   "Brescia" 018   "Pavia" 019   "Cremona" 020   "Mantova" 021   "Bolzano/Bozen" 022   "Trento" 023   "Verona" 024   "Vicenza" 025   "Belluno" 026   "Treviso" 027   "Venezia" 028   "Padova" 029   "Rovigo" 030   "Udine" 031   "Gorizia" 032   "Trieste" 033   "Piacenza" 034   "Parma" 035   "Reggio nell'Emilia" 036   "Modena" 037   "Bologna" 038   "Ferrara" 039   "Ravenna" 040   "Forl-Cesena" 041   "Pesaro e Urbino" 042   "Ancona" 043   "Macerata" 044   "Ascoli Piceno" 045   "Massa-Carrara" 046   "Lucca" 047   "Pistoia" 048   "Firenze" 049   "Livorno" 050   "Pisa" 051   "Arezzo" 052   "Siena" 053   "Grosseto" 054   "Perugia" 055   "Terni" 056   "Viterbo" 057   "Rieti" 058   "Roma" 059   "Latina" 060   "Frosinone" 061   "Caserta" 062   "Benevento" 063   "Napoli" 064   "Avellino" 065   "Salerno" 066   "L'Aquila" 067   "Teramo" 068   "Pescara" 069   "Chieti" 070   "Campobasso" 071   "Foggia" 072   "Bari" 073   "Taranto" 074   "Brindisi" 075   "Lecce" 076   "Potenza" 077   "Matera" 078   "Cosenza" 079   "Catanzaro" 080   "Reggio di Calabria" 081   "Trapani" 082   "Palermo" 083   "Messina" 084   "Agrigento" 085   "Caltanissetta" 086   "Enna" 087   "Catania" 088   "Ragusa" 089   "Siracusa" 090   "Sassari" 091   "Nuoro" 092   "Cagliari" 093   "Pordenone" 094   "Isernia" 095   "Oristano" 096   "Biella" 097   "Lecco" 098   "Lodi" 099   "Rimini" 100   "Prato" 101   "Crotone" 102   "Vibo Valentia" 103   "Verbano-Cusio-Ossola" 104   "Olbia-Tempio" 105   "Ogliastra" 106   "Medio Campidano" 107   "Carbonia-Iglesias" 108   "Monza e della Brianza" 109   "Fermo" 110   "Barletta-Andria-Trani" 999   "Estero"  
label define  reg_dom_cl140 1   "Piemonte" 2   "Valle d'Aosta" 3   "Lombardia" 4   "Trentino-Alto Adige" 5   "Veneto" 6   "Friuli-Venezia Giulia" 7   "Liguria" 8   "Emilia-Romagna" 9   "Toscana" 10   "Umbria" 11   "Marche" 12   "Lazio" 13   "Abruzzo" 14   "Molise" 15   "Campania" 16   "Puglia" 17   "Basilicata" 18   "Calabria" 19   "Sicilia" 20   "Sardegna" 99   "Estero"  
label define  rip_dom_cl141 1   "Nord-ovest" 2   "Nord-est" 3   "Centro" 4   "Sud" 5   "Isole" 9   "Estero"  
label define  l4_11_cl142 1   "si" 2   "no"  
label define  l4_12_cl143 1   "Meno di mezzora" 2   "Da mezzora a meno di 1 ora" 3   "Da 1 ora a meno di 1 ora e mezza" 4   "Da 1 ora e mezza a meno di 2 ore" 5   "2 ore o pi"  
label define  l4_13a_cl144 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente"  
label define  l4_13b_cl145 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente"  
label define  l4_13c_cl146 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente"  
label define  l4_13d_cl147 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente"  
label define  l4_13e_cl148 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente"  
label define  l4_14_cl149 1   "S, in modo permanente" 2   "S, in via temporanea " 3   "No" 4   "Non so"  
label define  l4_15_cl150 1   "Da 1 anno a meno di 2 anni" 2   "Da 2 anni a meno di 3 anni" 3   "Da 3 anni a meno di 4 anni" 4   "Da 4 anni a meno di 5 anni" 5   "5 anni e oltre" 6   "Non so"  
label define  l4_16_cl151 201   "Albania" 202   "Andorra" 203   "Austria" 206   "Belgio" 209   "Bulgaria" 212   "Danimarca" 214   "Finlandia" 215   "Francia" 216   "Germania" 219   "Regno Unito" 220   "Grecia" 221   "Irlanda" 223   "Islanda" 225   "Liechtenstein" 226   "Lussemburgo" 227   "Malta" 229   "Monaco" 231   "Norvegia" 232   "Paesi Bassi" 233   "Polonia" 234   "Portogallo" 235   "Romania" 236   "San Marino" 239   "Spagna" 240   "Svezia" 241   "Svizzera" 243   "Ucraina" 244   "Ungheria" 245   "Russa, Federazione" 246   "Stato della Citt del Vaticano" 247   "Estonia" 248   "Lettonia" 249   "Lituania" 250   "Croazia" 251   "Slovenia" 252   "Bosnia-Erzegovina" 253   "Macedonia, Repubblica di" 254   "Moldova" 255   "Slovacchia" 256   "Bielorussia" 257   "Ceca, Repubblica" 270   "Montenegro" 271   "Serbia, Repubblica di" 272   "Kosovo" 301   "Afghanistan" 302   "Arabia Saudita" 304   "Bahrein" 305   "Bangladesh" 306   "Bhutan" 307   "Myanmar (ex Birmania)" 309   "Brunei" 310   "Cambogia" 311   "Sri Lanka (ex Ceylon)" 314   "Cinese, Repubblica Popolare" 315   "Cipro" 319   "Corea, Repubblica Popolare Democratica (Corea del Nord)" 320   "Corea, Repubblica (Corea del Sud)" 322   "Emirati Arabi Uniti" 323   "Filippine" 324   "Territori dell'Autonomia Palestinese" 326   "Giappone" 327   "Giordania" 330   "India" 331   "Indonesia" 332   "Iran, Repubblica Islamica del" 333   "Iraq" 334   "Israele" 335   "Kuwait" 336   "Laos" 337   "Libano" 338   "Timor Orientale" 339   "Maldive" 340   "Malaysia" 341   "Mongolia" 342   "Nepal" 343   "Oman" 344   "Pakistan" 345   "Qatar" 346   "Singapore" 348   "Siria" 349   "Thailandia" 351   "Turchia" 353   "Vietnam" 354   "Yemen" 356   "Kazakhstan" 357   "Uzbekistan" 358   "Armenia" 359   "Azerbaigian" 360   "Georgia" 361   "Kirghizistan" 362   "Tagikistan" 363   "Taiwan (ex Formosa)" 364   "Turkmenistan" 401   "Algeria" 402   "Angola" 404   "Costa d'Avorio" 406   "Benin (ex Dahomey)" 408   "Botswana" 409   "Burkina Faso (ex Alto Volta)" 410   "Burundi" 411   "Camerun" 413   "Capo Verde" 414   "Centrafricana, Repubblica" 415   "Ciad" 417   "Comore" 418   "Congo (Repubblica del)" 419   "Egitto" 420   "Etiopia" 421   "Gabon" 422   "Gambia" 423   "Ghana" 424   "Gibuti" 425   "Guinea" 426   "Guinea Bissau" 427   "Guinea Equatoriale" 428   "Kenya" 429   "Lesotho" 430   "Liberia" 431   "Libia" 432   "Madagascar" 434   "Malawi" 435   "Mali" 436   "Marocco" 437   "Mauritania" 438   "Mauritius" 440   "Mozambico" 441   "Namibia" 442   "Niger" 443   "Nigeria" 446   "Ruanda" 448   "So Tom e Principe" 449   "Seychelles" 450   "Senegal" 451   "Sierra Leone" 453   "Somalia" 454   "Sud Africa" 455   "Sudan" 456   "Swaziland" 457   "Tanzania" 458   "Togo" 460   "Tunisia" 461   "Uganda" 463   "Congo, Repubblica democratica del (ex Zaire)" 464   "Zambia" 465   "Zimbabwe (ex Rhodesia)" 466   "Eritrea" 467   "Sud Sudan, Repubblica del" 503   "Antigua e Barbuda" 505   "Bahamas" 506   "Barbados" 507   "Belize" 509   "Canada" 513   "Costa Rica" 514   "Cuba" 515   "Dominica" 516   "Dominicana, Repubblica" 517   "El Salvador" 518   "Giamaica" 519   "Grenada" 523   "Guatemala" 524   "Haiti" 525   "Honduras" 527   "Messico" 529   "Nicaragua" 530   "Panama" 532   "Saint Lucia" 533   "Saint Vincent e Grenadine" 534   "Saint Kitts e Nevis" 536   "Stati Uniti d'America" 602   "Argentina" 604   "Bolivia" 605   "Brasile" 606   "Cile" 608   "Colombia" 609   "Ecuador" 612   "Guyana" 614   "Paraguay" 615   "Per" 616   "Suriname" 617   "Trinidad e Tobago" 618   "Uruguay" 619   "Venezuela" 701   "Australia" 703   "Figi" 708   "Kiribati" 712   "Marshall, Isole" 713   "Micronesia, Stati Federati" 715   "Nauru" 719   "Nuova Zelanda" 720   "Palau" 721   "Papua Nuova Guinea" 725   "Salomone, Isole" 727   "Samoa" 730   "Tonga" 731   "Tuvalu" 732   "Vanuatu" 998   "Stato non definito"  
label define  l4_17a_cl152 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente"  
label define  l4_17b_cl153 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente"  
label define  l4_17c_cl154 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente"  
label define  l4_17d_cl155 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente"  
label define  l4_17e_cl156 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente"  
label define  l4_17f_cl157 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente"  
label define  l4_17g_cl158 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente"  
label define  l4_17h_cl159 1   "Molto" 2   "Abbastanza" 3   "Poco" 4   "Per niente"  
label define  l5_1_mfr_cl160 1   "Celibe/Nubile" 2   "Coniugato/a" 3   "Separato/a legalmente, divorziato/a, vedovo/a"  
label define  l5_2_cl161 1   "si" 2   "no"  
label define  l5_3_cl162 1   "Sto ancora studiando" 2   "Sto bene cos, conservo comunque la mia libert" 3   "Ho pensato alla possibilit di andarmene, ma ancora non me la sento " 4   "Se me ne andassi dovrei rinunciare a troppe cose" 5   "Non trovo un lavoro/un lavoro stabile" 6   "Non posso sostenere le spese di un affitto o dellacquisto di una casa" 7   "I miei genitori se ne dispiacerebbero" 8   "I miei genitori hanno bisogno di me (sono anziani, hanno problemi di salute, ecc.)"  
label define  l5_4_cl163 1   "Licenza elementare o nessun titolo" 2   "Licenza media (o avviamento professionale)" 3   "Diploma (o qualifica) di scuola superiore" 4   "Diploma universitario, diploma post-secondario" 5   "Laurea o post-laurea (dottorato, master, specializzazione)" 6   "Non so"  
label define  l5_5_cl164 1   "Occupato" 2   "In cerca di occupazione" 3   "Ritirato dal lavoro" 4   "In altra condizione" 5   "Deceduto" 6   "Non so"  
label define  l5_6_cl165 1   "Lavoratore dipendente" 2   "Lavoratore autonomo" 3   "Non so"  
label define  l5_7_cl166 1   "Imprenditore" 2   "Libero professionista" 3   "Lavoratore in proprio (commerciante, artigiano, coltivatore diretto ecc.)" 4   "Coadiuvante nellazienda di un familiare prevalentemente nella direzione dellazienda" 5   "Coadiuvante nellazienda di un familiare prevalentemente nel lavoro manuale e nelle altre attivit" 6   "Socio di cooperativa, impegnato prevalentemente nella direzione" 7   "Socio di cooperativa, impegnato prevalentemente nella produzione di beni/servizi o nelle attivit amministrative   "  
label define  l5_8_cl167 1   "Dirigente (direttore generale di azienda, professore universitario ecc.)" 2   "Quadro, funzionario (insegnante di scuola materna, elementare, media inferiore o superiore,  ufficiale delle Forze Armate ecc.)" 3   "Impiegato ad alta/media qualificazione (analista di dati, geometra e perito tecnico, capo segreteria,  infermiere professionale, contabile, archivista, sottufficiale delle Forze Armate ecc.)" 4   "Impiegato esecutivo (addetto allo sportello, telefonista, segretario, commesso di negozio, militare di carriera delle Forze Armate di grado inferiore a sottufficiale ecc.)" 5   "Operaio specializzato (capo operaio, conduttore di macchinari ecc.)" 6   "Operaio semplice (colf, usciere, portiere, facchino, bracciante agricolo ecc.)"  
label define  l5_9_cl168 1   "Licenza elementare o nessun titolo" 2   "Licenza media (o avviamento professionale)" 3   "Diploma (o qualifica) di scuola superiore" 4   "Diploma universitario, diploma post-secondario" 5   "Laurea o post-laurea (dottorato, master, specializzazione)" 6   "Non so"  
label define  l5_10_cl169 1   "Occupata" 2   "In cerca di occupazione" 3   "Casalinga" 4   "Ritirata dal lavoro" 5   "In altra condizione" 6   "Deceduta" 7   "Non so"  
label define  l5_11_cl170 1   "Lavoratrice dipendente" 2   "Lavoratrice autonoma" 3   "Non so"  
label define  l5_12_cl171 1   "Imprenditrice" 2   "Libera professionista" 3   "Lavoratrice in proprio (commerciante, sarta, coltivatrice diretta ecc.)" 4   "Coadiuvante nellazienda di un familiare prevalentemente nella direzione dellazienda" 5   "Coadiuvante nellazienda di un familiare prevalentemente nel lavoro manuale e nelle altre attivit" 6   "Socia di cooperativa, impegnato prevalentemente nella direzione" 7   "Socia di cooperativa, impegnato prevalentemente nella produzione di beni/servizi o nelle attivit amministrative"  
label define  l5_13_cl172 1   "Dirigente (direttore generale di azienda, professoressa universitario ecc.)" 2   "Quadro, funzionaria (insegnante di scuola materna, elementare, media inferiore o superiore ecc.)" 3   "Impiegata ad alta/media qualificazione (infermiera professionale, contabile, archivista, capo segreteria ecc.)" 4   "Impiegata esecutiva (addetta allo sportello, telefonista, segretaria, commessa di negozio ecc.)" 5   "Operaia specializzata (capo operaia, conduttrice di macchinari ecc.)" 6   "Operaia semplice (colf, bidella, portiera, bracciante agricola ecc.)"  
label values  cod_uni_mfr cod_uni_mfr_cl1
label values  tiplau tiplau_cl2
label values  subpop subpop_cl3
label values  gruppo gruppo_cl4
label values  classelau_mfr classelau_mfr_cl5
label values  sesso sesso_cl6
label values  citt_mfr citt_mfr_cl7
label values  l1_1 l1_1_cl8
label values  l1_2 l1_2_cl9
label values  voto_diploma_all voto_diploma_all_cl10
label values  eta_laurea_mfr eta_laurea_mfr_cl12
label values  prov_o_est_prima_mfr prov_o_est_prima_mfr_cl13
label values  reg_prima reg_prima_cl14
label values  rip_prima rip_prima_cl15
label values  l1_7 l1_7_cl16
label values  l1_8_mfr l1_8_mfr_cl17
label values  l1_11 l1_11_cl18
label values  l1_12 l1_12_cl19
label values  l1_14 l1_14_cl26
label values  l1_15 l1_15_cl27
label values  l1_16 l1_16_cl28
label values  l1_17 l1_17_cl29
label values  l1_18_mfr l1_18_mfr_cl30
label values  l1_19 l1_19_cl31
label values  l1_20 l1_20_cl32
label values  l1_23 l1_23_cl34
label values  l1_25 l1_25_cl35
label values  l1_26 l1_26_cl36
label values  l1_28 l1_28_cl37
label values  l1_29 l1_29_cl38
label values  l1_31 l1_31_cl39
label values  l1_32a l1_32a_cl40
label values  l1_32b l1_32b_cl41
label values  l1_32c l1_32c_cl42
label values  l1_32d l1_32d_cl43
label values  l1_32e l1_32e_cl44
label values  l1_33 l1_33_cl45
label values  l1_36a l1_36a_cl46
label values  l1_36b l1_36b_cl47
label values  l1_36c l1_36c_cl48
label values  l1_36d l1_36d_cl49
label values  l1_36e l1_36e_cl50
label values  l1_36f l1_36f_cl51
label values  l1_36g l1_36g_cl52
label values  l1_36h l1_36h_cl53
label values  l1_37 l1_37_cl54
label values  l1_38a l1_38a_cl55
label values  l1_38b l1_38b_cl56
label values  l1_38c l1_38c_cl57
label values  l1_38d l1_38d_cl58
label values  l1_38e l1_38e_cl59
label values  l1_38f l1_38f_cl60
label values  l1_38g l1_38g_cl61
label values  l1_38h l1_38h_cl62
label values  l1_39 l1_39_cl63
label values  l2_1 l2_1_cl64
label values  l2_2 l2_2_cl65
label values  l2_4 l2_4_cl66
label values  l2_5 l2_5_cl67
label values  l2_6 l2_6_cl68
label values  l2_7 l2_7_cl69
label values  l2_8 l2_8_cl70
label values  l2_9 l2_9_cl71
label values  l2_10 l2_10_cl72
label values  l2_11 l2_11_cl73
label values  l2_12 l2_12_cl74
label values  l2_13 l2_13_cl75
label values  prof_mfr prof_mfr_cl76
label values  l2_16 l2_16_cl77
label values  l2_17 l2_17_cl78
label values  l2_18 l2_18_cl79
label values  l2_19 l2_19_cl80
label values  l2_20 l2_20_cl81
label values  l2_21 l2_21_cl82
label values  l2_22 l2_22_cl83
label values  l2_23 l2_23_cl84
label values  prov_stato_lav_mfr prov_stato_lav_mfr_cl86
label values  reg_lav reg_lav_cl87
label values  rip_lav rip_lav_cl88
label values  l2_29 l2_29_cl89
label values  l2_30 l2_30_cl90
label values  l2_31 l2_31_cl91
label values  l2_44 l2_44_cl92
label values  l2_45 l2_45_cl93
label values  l2_46 l2_46_cl94
label values  l2_47 l2_47_cl95
label values  l2_49 l2_49_cl96
label values  l2_50 l2_50_cl97
label values  l2_51 l2_51_cl98
label values  l2_52 l2_52_cl99
label values  l2_53 l2_53_cl100
label values  l2_59 l2_59_cl110
label values  l2_60 l2_60_cl111
label values  l2_61 l2_61_cl112
label values  l2_62 l2_62_cl113
label values  l2_64 l2_64_cl114
label values  l2_67 l2_67_cl115
label values  l2_69 l2_69_cl116
label values  l2_70 l2_70_cl117
label values  l2_71 l2_71_cl118
label values  l2_72 l2_72_cl119
label values  l3_1 l3_1_cl120
label values  l3_2 l3_2_cl121
label values  l3_3 l3_3_cl122
label values  l3_4a l3_4a_cl123
label values  l3_4b l3_4b_cl124
label values  l3_4c l3_4c_cl125
label values  l3_4d l3_4d_cl126
label values  l3_4e l3_4e_cl127
label values  l3_4f l3_4f_cl128
label values  l3_4g l3_4g_cl129
label values  l3_4h l3_4h_cl130
label values  l3_4i l3_4i_cl131
label values  l3_6 l3_6_cl132
label values  l3_7 l3_7_cl133
label values  l3_8 l3_8_cl134
label values  l3_9 l3_9_cl135
label values  l3_10 l3_10_cl136
label values  l3_12 l3_12_cl138
label values  prov_o_est_res_mfr prov_o_est_res_mfr_cl139
label values  reg_dom reg_dom_cl140
label values  rip_dom rip_dom_cl141
label values  l4_11 l4_11_cl142
label values  l4_12 l4_12_cl143
label values  l4_13a l4_13a_cl144
label values  l4_13b l4_13b_cl145
label values  l4_13c l4_13c_cl146
label values  l4_13d l4_13d_cl147
label values  l4_13e l4_13e_cl148
label values  l4_14 l4_14_cl149
label values  l4_15 l4_15_cl150
label values  l4_16 l4_16_cl151
label values  l4_17a l4_17a_cl152
label values  l4_17b l4_17b_cl153
label values  l4_17c l4_17c_cl154
label values  l4_17d l4_17d_cl155
label values  l4_17e l4_17e_cl156
label values  l4_17f l4_17f_cl157
label values  l4_17g l4_17g_cl158
label values  l4_17h l4_17h_cl159
label values  l5_1_mfr l5_1_mfr_cl160
label values  l5_2 l5_2_cl161
label values  l5_3 l5_3_cl162
label values  l5_4 l5_4_cl163
label values  l5_5 l5_5_cl164
label values  l5_6 l5_6_cl165
label values  l5_7 l5_7_cl166
label values  l5_8 l5_8_cl167
label values  l5_9 l5_9_cl168
label values  l5_10 l5_10_cl169
label values  l5_11 l5_11_cl170
label values  l5_12 l5_12_cl171
label values  l5_13 l5_13_cl172
*/
save  InsProLau_A2015.dta, replace
